unit uDM;

interface

uses
  SysUtils, Classes, DB, IBCustomDataSet, IBQuery, IBDatabase, IBTable;

type
  TDM = class(TDataModule)
    IBSisCon: TIBDatabase;
    IBTSisCon: TIBTransaction;
    IBQSisCon: TIBQuery;
    DsSisCon: TDataSource;
    TbEmpre: TIBTable;
    TbEmpreID_EMPRE: TIntegerField;
    TbEmpreLOGO_EMPRE: TBlobField;
    TbEmpreFANT_EMPRE: TIBStringField;
    TbEmpreRSOC_EMPRE: TIBStringField;
    TbEmpreCNPJ_EMPRE: TIBStringField;
    TbEmpreINS_EMPRE: TIBStringField;
    TbEmpreENDER_EMPRE: TIBStringField;
    TbEmpreBAIR_EMPRE: TIBStringField;
    TbEmpreCID_EMPRE: TIBStringField;
    TbEmpreEST_EMPRE: TIBStringField;
    TbEmpreCEP_EMPRE: TIBStringField;
    TbEmpreTEL_EMPRE: TIBStringField;
    TbEmpreFAX_EMPRE: TIBStringField;
    TbEmpreSITE_EMPRE: TIBStringField;
    TbEmpreEMAIL_EMPRE: TIBStringField;
    TbFunc: TIBTable;
    TbFuncID_FUNC: TIntegerField;
    TbFuncCAD_FUNC: TDateField;
    TbFuncFOTO_FUNC: TBlobField;
    TbFuncNOME_FUNC: TIBStringField;
    TbFuncCPF_FUNC: TIBStringField;
    TbFuncRG_FUNC: TIBStringField;
    TbFuncENDER_FUNC: TIBStringField;
    TbFuncBAIR_FUNC: TIBStringField;
    TbFuncCIDA_FUNC: TIBStringField;
    TbFuncEST_FUNC: TIBStringField;
    TbFuncCEP_FUNC: TIBStringField;
    TbFuncTEL_FUNC: TIBStringField;
    TbFuncCEL_FUNC: TIBStringField;
    TbFuncEMAIL_FUNC: TIBStringField;
    TbFuncCONTAT_FUNC: TIBStringField;
    TbFuncADM_FUNC: TDateField;
    TbFuncDEPTO_FUNC: TIBStringField;
    TbFuncCARG_FUNC: TIBStringField;
    TbFuncSALA_FUNC: TIBBCDField;
    TbFuncSITUA_FUNC: TIBStringField;
    TbFuncDEMI_FUNC: TDateField;
    TbFuncOBSER_FUNC: TIBStringField;
    TbForn: TIBTable;
    TbFornID_FORNEC: TIntegerField;
    TbFornTIPO_FORNEC: TIBStringField;
    TbFornFANT_FORNEC: TIBStringField;
    TbFornRSOC_FORNEC: TIBStringField;
    TbFornCNPJ_FORNEC: TIBStringField;
    TbFornINS_FORNEC: TIBStringField;
    TbFornENDER_FORNEC: TIBStringField;
    TbFornBAIR_FORNEC: TIBStringField;
    TbFornCIDA_FORNEC: TIBStringField;
    TbFornEST_FORNEC: TIBStringField;
    TbFornCEP_FORNEC: TIBStringField;
    TbFornTEL_FORNEC: TIBStringField;
    TbFornFAX_FORNEC: TIBStringField;
    TbFornSITE_FORNEC: TIBStringField;
    TbFornEMAIL_FORNEC: TIBStringField;
    TbFornCONTAT_FORNEC: TIBStringField;
    TbFornOBSER_FORNEC: TIBStringField;
    TbGrupo: TIBTable;
    TbGrupoID_GRP: TIntegerField;
    TbGrupoDESCR_GRP: TIBStringField;
    TbProduto: TIBTable;
    TbProdutoID_PROD: TIBStringField;
    TbProdutoCAD_PROD: TDateField;
    TbProdutoFOTO_PROD: TBlobField;
    TbProdutoGRP_PROD: TIBStringField;
    TbProdutoFORNEC_PROD: TIBStringField;
    TbProdutoDESCR_PROD: TIBStringField;
    TbProdutoUND_PROD: TIBStringField;
    TbProdutoVLR_COMP: TIBBCDField;
    TbProdutoMARG_PROD: TIBBCDField;
    TbProdutoVLR_VEND: TIBBCDField;
    TbProdutoESTOQ_PROD: TIBBCDField;
    TbProdutoREPOSI_PROD: TIBBCDField;
    TbProdutoESPEC_PROD: TIBStringField;
    TbEntrada: TIBTable;
    TbEntradaID_ENTRA: TIntegerField;
    TbEntradaDATA_ENTRA: TDateField;
    TbEntradaDOC_ENTRA: TIBStringField;
    TbEntradaFORNEC_ENTRA: TIBStringField;
    TbEntradaCOND_PGTO: TIBStringField;
    TbEntradaNUM_PARC: TIntegerField;
    TbEntradaVLR_PARC: TIBBCDField;
    TbEntradaDESCO_ENTRA: TIBBCDField;
    TbEntradaTOT_ENTRA: TIBBCDField;
    TbDetEntr: TIBTable;
    TbDetEntrID_DETENTRA: TIntegerField;
    TbDetEntrID_PRODENTRA: TIBStringField;
    TbDetEntrDESC_PRODENTRA: TIBStringField;
    TbDetEntrUNID_ENTR: TIBStringField;
    TbDetEntrQUT_ENTR: TIBBCDField;
    TbDetEntrVLR_UNT: TIBBCDField;
    TbDetEntrTOT_ITEMENTR: TIBBCDField;
    TbParcPg: TIBTable;
    TbParcPgID_ENTRARCPG: TIntegerField;
    TbParcPgNUM_PARCPG: TIntegerField;
    TbParcPgNUM_DOCENTR: TIBStringField;
    TbParcPgFORN_PARCPG: TIBStringField;
    TbParcPgDATA_VENC: TDateField;
    TbParcPgVLR_PARCPG: TIBBCDField;
    TbParcPgDATA_PGTO: TDateField;
    TbParcPgVLR_PAGOPARCPG: TIBBCDField;
    TbParcPgBAIXADO: TIBStringField;
    TbParcPgVLR_ESTPARPG: TIBStringField;
    TbParcPgNUMFAT_PARPG: TIBStringField;
    TbBanco: TIBTable;
    TbBancoID_BANCO: TIntegerField;
    TbBancoNOME_BAN: TIBStringField;
    TbBancoAGENCIA: TIBStringField;
    TbBancoCONTA: TIBStringField;
    TbBancoGERENTE: TIBStringField;
    TbBancoENDERECO: TIBStringField;
    TbBancoCIDADE: TIBStringField;
    TbBancoESTADO: TIBStringField;
    TbBancoCEP: TIBStringField;
    TbBancoTELEFONE: TIBStringField;
    TbBancoFAX: TIBStringField;
    TbBancoEMAIL: TIBStringField;
    TbBancoOBSERV: TIBStringField;
    TbEmitCheq: TIBTable;
    TbEmitCheqNUM_CHEQUE: TIntegerField;
    TbEmitCheqBANCO: TIBStringField;
    TbEmitCheqAGENCIA_CH: TIBStringField;
    TbEmitCheqCONTA_CH: TIBStringField;
    TbEmitCheqEMISSAO_CH: TDateField;
    TbEmitCheqVALOR_CH: TIBBCDField;
    TbEmitCheqVLREXT_CH: TIBStringField;
    TbEmitCheqNOMINAL_CH: TIBStringField;
    TbEmitCheqVENC_CH: TDateField;
    TbEmitCheqDIA_CH: TIBStringField;
    TbEmitCheqMES_CH: TIBStringField;
    TbEmitCheqANO_CH: TIBStringField;
    TbEmitCheqCIDADE_CH: TIBStringField;
    TbEmitCheqHISTO_CH: TIBStringField;
    TbEmitCheqBAIXA_CH: TIBStringField;
    TbEmitCheqSITUACAO: TIBStringField;
    TbEmitCheqDIAS_CH: TSmallintField;
    TbEmitCheqCOMPENS_CH: TDateField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DM: TDM;

implementation

uses uFrmCadEntrProd, uFrmGerParcPg;

{$R *.dfm}

end.
