unit UntCadCli;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DBCtrls, DB, Mask, Buttons, IBCustomDataSet,
  IBTable, Grids, DBGrids;

type
  TFrmCadCli = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    BdcNovCli: TBitBtn;
    BdcSalCli: TBitBtn;
    BdcSalAltCli: TBitBtn;
    BdcAltCli: TBitBtn;
    BdcExcCli: TBitBtn;
    BdcFecCli: TBitBtn;
    Label1: TLabel;
    TxtLocCli: TDBLookupComboBox;
    Label2: TLabel;
    TctCodCli: TDBEdit;
    DsCadCli: TDataSource;
    Label3: TLabel;
    TxtDatCadCli: TDBEdit;
    Label6: TLabel;
    TxtNomCli: TDBEdit;
    Label7: TLabel;
    TxtCpfCli: TDBEdit;
    Label8: TLabel;
    TxtRgCli: TDBEdit;
    Label9: TLabel;
    TxtEndCli: TDBEdit;
    Label10: TLabel;
    TxtBaiCli: TDBEdit;
    Label11: TLabel;
    TxtCidCli: TDBEdit;
    Label12: TLabel;
    Label13: TLabel;
    TxtCepCli: TDBEdit;
    Label14: TLabel;
    TxtTelCli: TDBEdit;
    Label15: TLabel;
    TxtCelCli: TDBEdit;
    Label16: TLabel;
    TxtEmaCli: TDBEdit;
    Label17: TLabel;
    TxtRenCli: TDBEdit;
    Label18: TLabel;
    TxtLimCli: TDBEdit;
    Label19: TLabel;
    TxtBlocCli: TDBEdit;
    Label20: TLabel;
    TxtObserCli: TDBMemo;
    TxtEstCli: TDBComboBox;
    DBRadioGroup1: TDBRadioGroup;
    Label5: TLabel;
    TxtTipCli: TDBEdit;
    DBText1: TDBText;
    DBRadioGroup2: TDBRadioGroup;
    BdcConsDebCli: TBitBtn;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    TBFatClient: TIBTable;
    DsFatClient: TDataSource;
    TBFatClientPREC_CODIGO: TIntegerField;
    TBFatClientPREC_NUMERO: TIntegerField;
    TBFatClientPREC_NUMFATURA: TIBStringField;
    TBFatClientPREC_CLIENTE: TIBStringField;
    TBFatClientPREC_VENCIMENTO: TDateField;
    TBFatClientPREV_VALOR: TIBBCDField;
    TBFatClientPREC_DATPGTO: TDateField;
    TBFatClientPREC_VALORPAGO: TIBBCDField;
    TBFatClientPREC_VALOREXTEN: TIBStringField;
    TBFatClientPREC_BAIXADO: TIBStringField;
    Label4: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    procedure DBRadioGroup1Click(Sender: TObject);
    procedure BdcNovCliClick(Sender: TObject);
    procedure TxtNomCliEnter(Sender: TObject);
    procedure BdcSalCliClick(Sender: TObject);
    procedure TxtObserCliKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLocCliEnter(Sender: TObject);
    procedure BdcAltCliClick(Sender: TObject);
    procedure BdcSalAltCliClick(Sender: TObject);
    procedure BdcFecCliClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure BdcExcCliClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TxtCepCliExit(Sender: TObject);
    procedure TxtTelCliExit(Sender: TObject);
    procedure TxtCelCliExit(Sender: TObject);
    procedure BdcConsDebCliClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadCli: TFrmCadCli;

implementation

uses DM;

Function FormataFone(Fone: String): string;
VAR I : Integer;
ddd, prefix, tel : String;
begin
ddd := '';
prefix := '';
tel := '';

//pega o ddd formatado
ddd := '(';
for i := 1 to 2 do
begin
ddd := ddd+fone[i];
//Inc(i);
end;
ddd := ddd + ')';

//prefixo de 3 dgitos
if Length(Fone) = 10 then
begin
for i := 3 to length(Fone)-4 do
begin
prefix := prefix + Fone[i]
//Inc(i);
end;
prefix := prefix + '-';
end;

//prefixo de 4 digitos
if Length(Fone) = 9 then
begin
for i := 3 to length(Fone)-4 do
begin
prefix := prefix + Fone[i]
//Inc(i);
end;
prefix := prefix + '-';
end;

//telefone
for i := length(Fone)-3 to length(Fone) do
tel := tel + Fone[i];

//junta tudo
Result := ddd + prefix + tel;
end;

{$R *.dfm}

Function FormataCEP(const CEP: string): string;
var
I: integer;
begin
Result := '';
for I := 1 to Length(CEP) do
if CEP[I] in ['0'..'9'] then
Result := Result + CEP[I];
if Length(Result) <> 8 then
Result:='FALSO'
else
Result :=
Copy(Result, 1, 2) + '.' +
Copy(Result, 3, 3) + '-' +
Copy(Result, 6, 3);
end;

procedure TFrmCadCli.DBRadioGroup1Click(Sender: TObject);
begin
If DBRadioGroup1.ItemIndex=0 Then
  begin
    DMSgc.TBCadCliCLI_CPF.EditMask:='!000\.000\.000\-00;1;_';
    Label7.Caption:='CPF';
    Label8.Caption:='N RG.';
  end
    else
      If DBRadioGroup1.ItemIndex=1 Then
        begin
          DMSgc.TBCadCliCLI_CPF.EditMask:='!00\.000\.000\/0000\-00;1;_';
          Label7.Caption:='CNPJ';
          Label8.Caption:='Ins.Est.';
        end
end;

procedure TFrmCadCli.BdcNovCliClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadCli.Active:=True;
DMSgc.TBCadCli.Append;
BdcNovCli.Enabled:=False;
BdcSalCli.Enabled:=True;
TxtBlocCli.Text:='NO';
DBRadioGroup1.SetFocus;
end;

procedure TFrmCadCli.TxtNomCliEnter(Sender: TObject);
begin
If TxtTipCli.Text='' Then
   begin
      Application.MessageBox('Informe o tipo de cliente...','CF Informtica',MB_ICONINFORMATION);
      DBRadioGroup1.SetFocus;
   end
end;

procedure TFrmCadCli.BdcSalCliClick(Sender: TObject);
begin
If (TxtNomCli.Text='') or (TxtCpfCli.Text='') or (TxtRgCli.Text='') or (TxtEndCli.Text='')
    or (TxtBaiCli.Text='') or (TxtCidCli.Text='') or (TxtCidCli.Text='') or (TxtEstCli.Text='')
    or (TxtCepCli.Text='') or (TxtTelCli.Text='') or (TxtCelCli.Text='') or (TxtRenCli.Text='')
    or (TxtLimCli.Text='') or (TxtTipCli.Text='') Then
      begin
        Application.MessageBox('Dados insuficientes para salvar o cadastro...'#13'Volte e preencha os campos pendentes...','CF Informtica',MB_ICONERROR);
        TxtNomCli.SetFocus;
      end
else
   begin
     TxtDatCadCli.Text:=DateToStr(Date);
     TxtBlocCli.Text:='NO';
     DMSgc.TBCadCli.Post;
     DMSgc.TBCadCli.Refresh;
     DMSgc.TBCadCli.Close;
     DMSgc.TBCadCli.Open;
     Application.MessageBox('Cliente cadastrado com sucesso...','CF Informtica',MB_ICONINFORMATION);
     DMSgc.IBDatabaseSGC.Close;
     DMSgc.TBCadCli.Active:=False;
     BdcNovCli.Enabled:=True;
     BdcSalCli.Enabled:=False;
   end
end;

procedure TFrmCadCli.TxtObserCliKeyPress(Sender: TObject; var Key: Char);
begin
Key := AnsiUpperCase(Key)[1];
end;

procedure TFrmCadCli.TxtLocCliEnter(Sender: TObject);
begin
DMSgc.TBCadCli.Last;
DMSgc.TBCadCli.First;
end;

procedure TFrmCadCli.BdcAltCliClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadCli.Active:=True;
DMSgc.TBCadCli.Edit;
DMSgc.TBCadCli.IndexFieldNames:='CLI_NOME';
DMSgc.TBCadCli.Append;
BdcSalAltCli.Enabled:=True;
TxtLocCli.Enabled:=True;
BdcAltCli.Enabled:=False;
end;

procedure TFrmCadCli.BdcSalAltCliClick(Sender: TObject);
begin
DMSgc.TBCadCli.Post;
DMSgc.TBCadCli.Refresh;
DMSgc.TBCadCli.Close;
DMSgc.TBCadCli.Open;
Application.MessageBox('Dados do cliente alterados com sucesso...','CF Informtica',MB_ICONINFORMATION);
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadCli.Active:=False;
TxtLocCli.Enabled:=False;
BdcSalAltCli.Enabled:=False;
BdcAltCli.Enabled:=True;
end;

procedure TFrmCadCli.BdcFecCliClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadCli.Active:=False;
FrmCadCli.Close;
end;

procedure TFrmCadCli.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmCadCli:= NIL;
end;

procedure TFrmCadCli.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
BdcFecCli.Click;
end;

procedure TFrmCadCli.BdcExcCliClick(Sender: TObject);
begin
If TctCodCli.Text='' Then
  begin
    Application.MessageBox('No existe cadastro selecionado para ser excluido'#13'Volte e selecione o cadastro que deseja excluir...','CF Informtica',MB_ICONERROR);
    TxtLocCli.SetFocus;
    TxtLocCli.DropDown;
  end
else
  If Application.MessageBox('Desja realmente excluir o Fornecedor?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
    begin
      DMSgc.TBCadCli.Delete;
      Application.MessageBox('Cadastro excluido com sucesso...','CF Informtica',MB_ICONINFORMATION);
      DMSgc.IBDatabaseSGC.Close;
      DMSgc.TBCadCli.Active:=False;
      BdcFecCli.Click;
    end
       else
        begin
          Abort;
        end
end;

procedure TFrmCadCli.FormCreate(Sender: TObject);
begin
DeleteMenu(GetSystemMenu(Handle, False), SC_MOVE, MF_BYCOMMAND);
end;

procedure TFrmCadCli.TxtCepCliExit(Sender: TObject);
begin
If (FormataCEP(TxtCepCli.text)) = 'FALSO' then
begin
Application.MessageBox('O CEP digitado  invalido...'#13'O CEP deve conter 8 nmeros...','Digital',MB_ICONERROR);
TxtCepCli.setfocus
end
else
begin
TxtCepCli.text := FormataCEP(TxtCepCli.text);
TxtTelCli.SetFocus;
end;
end;

procedure TFrmCadCli.TxtTelCliExit(Sender: TObject);
begin
If (Length(TxtTelCli.Text)<>10) Then
  begin
    Application.MessageBox('Nmero de telefone invlido...'#13'Informe o DDD Ex:2899012360','Digital',MB_ICONERROR);
    TxtTelCli.SetFocus;
    Abort;
  end
    else
      begin
        TxtTelCli.Text:=FormataFone(TxtTelCli.Text);
      end
end;

procedure TFrmCadCli.TxtCelCliExit(Sender: TObject);
begin
If (Length(TxtCelCli.Text)<>10) Then
  begin
    Application.MessageBox('Nmero de telefone invlido...'#13'Informe o DDD Ex:2899012360','Digital',MB_ICONERROR);
    TxtCelCli.SetFocus;
    Abort;
  end
    else
      begin
        TxtCelCli.Text:=FormataFone(TxtCelCli.Text);
      end
end;

procedure TFrmCadCli.BdcConsDebCliClick(Sender: TObject);
var
a: Currency;
begin
If TxtNomCli.Text='' Then
  begin
    Application.MessageBox('No existe Cliente selecionado...'#13'Volte e selecione o Cliente que deseja consultar...','CF Informtica',MB_ICONERROR);
    TxtLocCli.SetFocus;
    TxtLocCli.DropDown;
  end
      else
        begin
          FrmCadCli.Height:=455;
          FrmCadCli.Width:=936;
          TBFatClient.Active:=True;
          TBFatClient.Filtered:=True;
          TBFatClient.Filter:='PREC_CLIENTE='+QuotedStr(TxtNomCli.Text)+'AND PREC_BAIXADO='+QuotedStr('N');
            a:=0;
            TBFatClient.First;
             While not TBFatClient.Eof do
              begin
               a:=a+TBFatClientPREV_VALOR.AsCurrency;
               TBFatClient.Next;
               Label4.Caption:=FormatCurr('R$###,##0.00',a);
              end;
                If a=0 Then
                  begin
                    Label4.Caption:='R$00,00';
                    Label21.Caption:='Existe(m) 0 Fatura(s)  pagar';
                  end
                     else
                       If a>0 Then
                        begin
                          Label21.Caption:='Existe(m) '+IntToStr(TBFatClient.RecordCount)+' Fatura(s)  Pagar';
                             end
                       end;
end;

end.
