unit UntConsEsto;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, IBCustomDataSet, IBTable, Grids, DBGrids, StdCtrls, ExtCtrls,
  DBCtrls, Buttons;

type
  TFrmConsEsto = class(TForm)
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    Panel2: TPanel;
    DsConsEst: TDataSource;
    Label1: TLabel;
    DBGrid1: TDBGrid;
    Label2: TLabel;
    TxtLocProdCosEst: TDBLookupComboBox;
    BdcFecConsEst: TBitBtn;
    BdcImpEst: TBitBtn;
    procedure RadioGroup1Click(Sender: TObject);
    procedure BdcFecConsEstClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure DBGrid1DrawColumnCell(Sender: TObject; const Rect: TRect;
      DataCol: Integer; Column: TColumn; State: TGridDrawState);
    procedure BdcImpEstClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmConsEsto: TFrmConsEsto;

implementation

uses DM, UntTipoRelEst;

{$R *.dfm}

procedure TFrmConsEsto.RadioGroup1Click(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadProd.Active:=True;
If RadioGroup1.ItemIndex = 0 Then
  begin
    DBGrid1.Columns[3].Visible:=True;
    DBGrid1.Columns[4].Visible:=True;
    FrmConsEsto.ClientWidth:=700;
    DBGrid1.Columns[2].Title.Caption:='Est. Geral';
    DBGrid1.Columns[2].FieldName:='PROD_ESTOQUEGERAL';
    DBGrid1.Columns[3].FieldName:='PROD_ESTOQUERUIM';
    DBGrid1.Columns[4].FieldName:='PROD_ESTOQUEBOM';
    Label1.Caption:='ESTOQUE GERAL'
  end
      else
        If RadioGroup1.ItemIndex = 1 Then
          begin
            DBGrid1.Columns[3].Visible:=False;
            DBGrid1.Columns[4].Visible:=False;
            FrmConsEsto.ClientWidth:=572;
            DBGrid1.Columns[2].Title.Caption:='Est. Avaria.';
            DBGrid1.Columns[2].FieldName:='PROD_ESTOQUERUIM';
            DBGrid1.Columns[2].Font.Color:=clRed;
            Label1.Caption:='ESTOQUE AVARIADO';
          end
            else
              If RadioGroup1.ItemIndex = 2 Then
                begin
                  DBGrid1.Columns[3].Visible:=False;
                  DBGrid1.Columns[4].Visible:=False;
                  FrmConsEsto.ClientWidth:=577;
                  DBGrid1.Columns[2].Title.Caption:='Estoque Bom';
                  DBGrid1.Columns[2].FieldName:='PROD_ESTOQUEBOM';
                  DBGrid1.Columns[2].Font.Color:=clBlue;
                  Label1.Caption:='ESTOQUE BOM'
                end
end;

procedure TFrmConsEsto.BdcFecConsEstClick(Sender: TObject);
begin
DMSgc.TBCadProd.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmConsEsto.Close;
end;

procedure TFrmConsEsto.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:= CaFree;
FrmConsEsto:= NIL;
end;

procedure TFrmConsEsto.DBGrid1DrawColumnCell(Sender: TObject;
  const Rect: TRect; DataCol: Integer; Column: TColumn;
  State: TGridDrawState);
begin
If DMSgc.TBCadProdPROD_DESCRICAO.Text=TxtLocProdCosEst.Text then
begin // condio
DBGrid1.Canvas.Brush.Color := clSkyBlue;
Dbgrid1.Canvas.Font.Color:= clRed; // coloque aqui a cor desejada
Dbgrid1.DefaultDrawDataCell(Rect, dbgrid1.columns[datacol].field, State);
end
end;

procedure TFrmConsEsto.BdcImpEstClick(Sender: TObject);
begin
Application.CreateForm(TFrmTipoRelEst,FrmTipoRelEst);
FrmTipoRelEst.ShowModal;
end;

end.
