unit UntContPag;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DBCtrls, DB, Mask, Grids, DBGrids, Buttons;

type
  TFrmContPag = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Label1: TLabel;
    TxtCodContPg: TDBEdit;
    DsContPag: TDataSource;
    Label2: TLabel;
    TxtDatContPg: TDBEdit;
    Label3: TLabel;
    TxtDocContPg: TDBEdit;
    Label4: TLabel;
    Label5: TLabel;
    TxtVlrDocContPag: TDBEdit;
    Label6: TLabel;
    TxtCondPgto: TDBEdit;
    Label7: TLabel;
    TxtVlrParPg: TDBEdit;
    Label8: TLabel;
    TxtPriPg: TDBEdit;
    DBRadioGroup1: TDBRadioGroup;
    EdDiaPadr: TEdit;
    Label9: TLabel;
    Panel3: TPanel;
    DsFaturPag: TDataSource;
    BdcGerParPg: TBitBtn;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    BdcNovContPg: TBitBtn;
    BdcSalContPg: TBitBtn;
    BdcCancContPag: TBitBtn;
    BdcFecContPag: TBitBtn;
    Label10: TLabel;
    TxtNumParPg: TDBEdit;
    DBNavigator1: TDBNavigator;
    TxtLocForn: TDBLookupComboBox;
    DsLocForn: TDataSource;
    procedure DBRadioGroup1Click(Sender: TObject);
    procedure BdcGerParPgClick(Sender: TObject);
    procedure BdcNovContPgClick(Sender: TObject);
    procedure TxtNumParPgExit(Sender: TObject);
    procedure BdcSalContPgClick(Sender: TObject);
    procedure TxtDocContPgExit(Sender: TObject);
    procedure BdcFecContPagClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcCancContPagClick(Sender: TObject);
    procedure DBNavigator1Click(Sender: TObject; Button: TNavigateBtn);
    procedure TxtLocFornEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmContPag: TFrmContPag;

implementation

uses DM, UntGerPar;

{$R *.dfm}

procedure TFrmContPag.DBRadioGroup1Click(Sender: TObject);
begin
If DBRadioGroup1.ItemIndex = 0 Then
  begin
    FrmContPag.Width:= 554;
    FrmContPag.Height:= 248;
    Panel3.Visible:=False;
    TxtVlrParPg.Visible:=False;
    TxtPriPg.Visible:=False;
    EdDiaPadr.Visible:=False;
    TxtNumParPg.Visible:=False;
    BdcGerParPg.Visible:=False;
    Label7.Visible:=False;
    Label8.Visible:=False;
    Label9.Visible:=False;
    Label10.Visible:=False;
  end
      else
        If DBRadioGroup1.ItemIndex = 1 Then
          begin
            FrmContPag.Width:= 650;
            FrmContPag.Height:= 421;
            Panel3.Visible:=True;
            TxtVlrParPg.Visible:=True;
            TxtPriPg.Visible:=True;
            EdDiaPadr.Visible:=True;
            TxtNumParPg.Visible:=True;
            BdcGerParPg.Visible:=True;
            Label7.Visible:=True;
            Label8.Visible:=True;
            Label9.Visible:=True;
            Label10.Visible:=True;
          end
end;

procedure TFrmContPag.BdcGerParPgClick(Sender: TObject);
begin
If (TxtDocContPg.Text='') or (TxtLocForn.Text='') or (TxtVlrDocContPag.Text='') or (TxtNumParPg.Text='') Then
begin
  Application.MessageBox('Dados insuficientes para gerar o contas a pagar'#13'Volte e preencha os campos pendentes...','CF Informtica',MB_ICONERROR);
  TxtDocContPg.SetFocus;
end
    else
      begin
        Application.CreateForm(TFrmGerPar,FrmGerPar);
        DMSgc.TbFatrPagar.Edit;
        DMSgc.TbFatrPagarFATPAG_VLRPARCELA.AsCurrency:=DMSgc.TbContPagCONTPAG_VALORPARC.AsCurrency;
        FrmGerPar.ShowModal;
      end
end;

procedure TFrmContPag.BdcNovContPgClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCaixaDesp.Active:=True;
DMSgc.TBCadForn.Active:=True;
DMSgc.TbContPag.Active:=True;
DMSgc.TbFatrPagar.Active:=True;
DMSgc.TbFatrPagar.Append;
DMSgc.TbContPag.Edit;
DMSgc.TbContPag.Append;
DMSgc.TbContPagCONTPAG_DATALANC.Text:=DateToStr(Date);
DMSgc.TbContPag.Post;
DMSgc.TbContPag.Refresh;
DMSgc.TbContPag.Close;
DMSgc.TbContPag.Open;
DMSgc.TbContPag.Last;
DBRadioGroup1.ItemIndex:=0;
DBRadioGroup1.SetFocus;
BdcNovContPg.Enabled:=False;
BdcSalContPg.Enabled:=True;
BdcCancContPag.Enabled:=True;
end;

procedure TFrmContPag.TxtNumParPgExit(Sender: TObject);
begin
DMSgc.TbContPagCONTPAG_VALORPARC.AsCurrency:=DMSgc.TbContPagCONTPAG_VALORDOC.AsCurrency / DMSgc.TbContPagCONTPAG_NUMPARC.AsFloat;
end;

procedure TFrmContPag.BdcSalContPgClick(Sender: TObject);
begin
If DBRadioGroup1.ItemIndex = 0 Then
  begin
    DMSgc.TBCaixaDesp.Edit;
    DMSgc.TBCaixaDesp.Append;
    DMSgc.TBCaixaDespDESP_DATA.Text:=DateToStr(Date);
    DMSgc.TBCaixaDespDESP_NUMDOC.Text:=TxtDocContPg.Text;
    DMSgc.TBCaixaDespDESP_HOSTORICO.Text:='PAGAMENTO DE DOCUMENTO n '+TxtDocContPg.Text;
    DMSgc.TBCaixaDesp.FieldByName('DESP_VALOR').AsCurrency:=DMSgc.TbContPagCONTPAG_VALORDOC.AsCurrency;
    DMSgc.TBCaixaDesp.Post;
    DMSgc.TBCaixaDesp.Refresh;
    DMSgc.TbContPag.Edit;
    DMSgc.TbContPag.Post;
    DMSgc.TbContPag.Refresh;
    Application.MessageBox('O contas a pagar foi gerado com sucesso','CF Informtica',MB_ICONINFORMATION);
    DMSgc.TbContPag.Active:=False;
    DMSgc.TbFatrPagar.Active:=False;
    DMSgc.IBDatabaseSGC.Close;
    BdcNovContPg.Enabled:=True;
    BdcSalContPg.Enabled:=False;
    BdcCancContPag.Enabled:=False;
  end
      else
        If DBRadioGroup1.ItemIndex = 1 Then
          begin
            DMSgc.TbContPag.Edit;
            DMSgc.TbContPag.Post;
            DMSgc.TbContPag.Refresh;
            DMSgc.TbFatrPagar.Edit;
            DMSgc.TbFatrPagar.Post;
            DMSgc.TbFatrPagar.Refresh;
            Application.MessageBox('O contas a pagar foi gerado com sucesso','CF Informtica',MB_ICONINFORMATION);
            DMSgc.TbContPag.Active:=False;
            DMSgc.TbFatrPagar.Active:=False;
            DMSgc.IBDatabaseSGC.Close;
            BdcNovContPg.Enabled:=True;
            BdcSalContPg.Enabled:=False;
            BdcCancContPag.Enabled:=False;
          end
end;

procedure TFrmContPag.TxtDocContPgExit(Sender: TObject);
begin
If TxtCondPgto.Text='' Then
  begin
    Application.MessageBox('Informe a condio de pagamento...','CF Informtica',MB_ICONERROR);
    DBRadioGroup1.SetFocus;
  end
end;

procedure TFrmContPag.BdcFecContPagClick(Sender: TObject);
begin
DMSgc.TbContPag.Active:=False;
DMSgc.TbFatrPagar.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmContPag.Close;
end;

procedure TFrmContPag.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:=CaFree;
FrmContPag:=NIL;
end;

procedure TFrmContPag.BdcCancContPagClick(Sender: TObject);
begin
If TxtCondPgto.Text='A VISTA' Then
  begin
  If Application.MessageBox('Deseja realmente excluir o cadastro?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
  begin
    DMSgc.TbContPag.Delete;
    Application.MessageBox('Contas a pagar excluido...','CF Informtica',MB_ICONINFORMATION);
  end
  end
      else
        If TxtCondPgto.Text='FATURADO' Then
          If Application.MessageBox('Deseja realmente excluir o cadastro e sua faturas?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
          begin
            DMSgc.TbFatrPagar.First;
            While not DMSgc.TbFatrPagar.Eof do
            DMSgc.TbFatrPagar.Delete;
            DMSgc.TbContPag.Delete;
            Application.MessageBox('Contas a pagar excluido...','CF Informtica',MB_ICONINFORMATION);
          end
end;

procedure TFrmContPag.DBNavigator1Click(Sender: TObject;
  Button: TNavigateBtn);
begin
If DBRadioGroup1.ItemIndex = 0 Then
  begin
    FrmContPag.Width:= 554;
    FrmContPag.Height:= 248;
    Panel3.Visible:=False;
    TxtVlrParPg.Visible:=False;
    TxtPriPg.Visible:=False;
    EdDiaPadr.Visible:=False;
    TxtNumParPg.Visible:=False;
    BdcGerParPg.Visible:=False;
    Label7.Visible:=False;
    Label8.Visible:=False;
    Label9.Visible:=False;
    Label10.Visible:=False;
  end
      else
        If DBRadioGroup1.ItemIndex = 1 Then
          begin
            FrmContPag.Width:= 650;
            FrmContPag.Height:= 421;
            Panel3.Visible:=True;
            TxtVlrParPg.Visible:=True;
            TxtPriPg.Visible:=True;
            EdDiaPadr.Visible:=True;
            TxtNumParPg.Visible:=True;
            BdcGerParPg.Visible:=True;
            Label7.Visible:=True;
            Label8.Visible:=True;
            Label9.Visible:=True;
            Label10.Visible:=True;
          end
end;

procedure TFrmContPag.TxtLocFornEnter(Sender: TObject);
begin
DMSgc.TBCadForn.Last;
DMSgc.TBCadForn.First;
end;

end.
