unit UntProdForn;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, Grids, DBGrids, DB, StdCtrls, ExtCtrls, Mask, Buttons;

type
  TFrmProdForn = class(TForm)
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    Label1: TLabel;
    Label2: TLabel;
    TxtLocFornProd: TDBLookupComboBox;
    Panel2: TPanel;
    DsConsProd: TDataSource;
    DBGrid1: TDBGrid;
    TxtFornProd: TDBText;
    Label3: TLabel;
    BdcOutConProFor: TBitBtn;
    BdcFecConprodForn: TBitBtn;
    DsFornProdForn: TDataSource;
    procedure RadioGroup1Click(Sender: TObject);
    procedure TxtLocFornProdClick(Sender: TObject);
    procedure BdcOutConProForClick(Sender: TObject);
    procedure BdcFecConprodFornClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TxtLocFornProdEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmProdForn: TFrmProdForn;

implementation

uses DM;

{$R *.dfm}

procedure TFrmProdForn.RadioGroup1Click(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadForn.Active:=True;
DMSgc.TBCadProd.Active:=True;
  If RadioGroup1.ItemIndex = 0 Then
    begin
      TxtLocFornProd.ListField:='';
      TxtLocFornProd.KeyField:='';
      Label1.Caption:='Consulta Produto por Fornecedor';
      TxtLocFornProd.ListSource:=DsFornProdForn;
      TxtLocFornProd.ListField:='FORN_FANTASIA';
      TxtLocFornProd.KeyField:='FORN_FANTASIA';
      DBGrid1.Columns[0].Title.Caption:='Cdigo';
      DBGrid1.Columns[1].Title.Caption:='Produto';
      DBGrid1.Columns[0].FieldName:='PROD_CODIDO';
      DBGrid1.Columns[0].Width:=110;
      DBGrid1.Columns[1].Width:=538;
      DBGrid1.Columns[1].FieldName:='PROD_DESCRICAO';
      DBGrid1.Columns[1].Visible:=True;
      DBGrid1.Columns[2].Visible:=False;
      Label2.Caption:='Localizar Fornecedor';
      Label3.Caption:='Fornecedor';
    end
        else
          If RadioGroup1.ItemIndex = 1 Then
            begin
              TxtLocFornProd.ListField:='';
              TxtLocFornProd.KeyField:='';
              Label1.Caption:='Consulta Fornecedor por Produto';
              TxtLocFornProd.ListSource:=DsConsProd;
              TxtLocFornProd.ListField:='PROD_DESCRICAO';
              TxtLocFornProd.KeyField:='PROD_DESCRICAO';
              DBGrid1.Columns[0].Title.Caption:='Fornecedor';
              DBGrid1.Columns[0].FieldName:='PROD_FORNECEDOR';
              DBGrid1.Columns[0].Width:=646;
              DBGrid1.Columns[1].Visible:=False;
              DBGrid1.Columns[2].Visible:=False;
              Label2.Caption:='Localizar Produto';
              Label3.Caption:='Produto';
            end
end;

procedure TFrmProdForn.TxtLocFornProdClick(Sender: TObject);
begin
If RadioGroup1.ItemIndex = 0 Then
  begin
    TxtFornProd.DataSource:=DsConsProd;
    TxtFornProd.DataField:='PROD_FORNECEDOR';
    DMSgc.TBCadProd.Filtered:=True;
    DMSgc.TBCadProd.Filter:='PROD_FORNECEDOR='+QuotedStr(TxtLocFornProd.Text);
  end
      else
        If RadioGroup1.ItemIndex = 1 Then
          begin
            TxtFornProd.DataSource:=DsConsProd;
            TxtFornProd.DataField:='PROD_DESCRICAO';
            DMSgc.TBCadProd.Filtered:=True;
            DMSgc.TBCadProd.Filter:='PROD_DESCRICAO='+QuotedStr(TxtLocFornProd.Text);
          end

end;

procedure TFrmProdForn.BdcOutConProForClick(Sender: TObject);
begin
DMSgc.TBCadProd.Filtered:=False;
DMSgc.TBCadProd.Filter:='';
TxtLocFornProd.SetFocus;
TxtLocFornProd.DropDown;
end;

procedure TFrmProdForn.BdcFecConprodFornClick(Sender: TObject);
begin
DMSgc.TBCadProd.Filtered:=False;
DMSgc.TBCadProd.Filter:='';
DMSgc.TBCadProd.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmProdForn.Close;
end;

procedure TFrmProdForn.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:= CaFree;
FrmProdForn:= NIL;
end;

procedure TFrmProdForn.TxtLocFornProdEnter(Sender: TObject);
begin
If RadioGroup1.ItemIndex = 0 Then
  begin
    DMSgc.TBCadForn.Last;
    DMSgc.TBCadForn.First;
  end
end;

end.
