unit UntSaiAvar;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, DBCtrls, DB, Mask, Grids, DBGrids;

type
  TFrmSaiAvar = class(TForm)
    Panel1: TPanel;
    BdcNovSaiAva: TBitBtn;
    BdcSalSaiAva: TBitBtn;
    BdcImprSaida: TBitBtn;
    BdcfecSaiAva: TBitBtn;
    Label1: TLabel;
    TxtCodSaiAva: TDBEdit;
    Label2: TLabel;
    TxtDatSaiAva: TDBEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    TxtMotAva: TDBMemo;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    EdQutSaiAvar: TEdit;
    Label6: TLabel;
    EdVlrCpomSaiAvar: TEdit;
    Label7: TLabel;
    EdVlrVenAvar: TEdit;
    Label8: TLabel;
    EdCodProAva: TEdit;
    Label9: TLabel;
    Label10: TLabel;
    EdDescproAva: TEdit;
    TxtForSaiAva: TDBLookupComboBox;
    DsFornAvar: TDataSource;
    TxtTipAvar: TDBEdit;
    EdLocSai: TEdit;
    BdcConsSai: TBitBtn;
    Label11: TLabel;
    procedure TxtMotAvaKeyPress(Sender: TObject; var Key: Char);
    procedure BdcNovSaiAvaClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure EdCodProAvaExit(Sender: TObject);
    procedure BdcSalSaiAvaClick(Sender: TObject);
    procedure BdcfecSaiAvaClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure BitBtn2Click(Sender: TObject);
    procedure TxtForSaiAvaClick(Sender: TObject);
    procedure TxtForSaiAvaEnter(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BdcConsSaiClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmSaiAvar: TFrmSaiAvar;

implementation

uses DM;

{$R *.dfm}

procedure TFrmSaiAvar.TxtMotAvaKeyPress(Sender: TObject; var Key: Char);
begin
Key := AnsiUpperCase(Key)[1];
end;

procedure TFrmSaiAvar.BdcNovSaiAvaClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadForn.Active:=True;
DMSgc.TBCadForn.IndexFieldNames:='FORN_FANTASIA';
DMSgc.TBSaidaAvar.Active:=True;
DMSgc.TBItenAvar.Active:=True;
DMSgc.TBCadProd.Active:=True;
DMSgc.TBSaidaAvar.Edit;
DMSgc.TBSaidaAvar.Append;
DMSgc.TBSaidaAvar.Post;
DMSgc.TBSaidaAvar.Refresh;
DMSgc.TBSaidaAvar.Last;
BdcNovSaiAva.Enabled:=False;
BdcSalSaiAva.Enabled:=True;
TxtForSaiAva.SetFocus;
end;

procedure TFrmSaiAvar.BitBtn1Click(Sender: TObject);
begin
DMSgc.TBCadProd.Edit;
DMSgc.TBItenAvar.Edit;
DMSgc.TBItenAvar.Insert;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_CODITEM').AsString:=DMSgc.TBSaidaAvarAVAR_CODIGO.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_CODPRO').AsString:=DMSgc.TBCadProdPROD_CODIDO.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_DESCR').AsString:=EdDescproAva.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_QUANT').AsString:=EdQutSaiAvar.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_VLRCOM').AsString:=EdVlrCpomSaiAvar.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_VLRVEN').AsString:=EdVlrVenAvar.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_MOTI').AsString:=DMSgc.TBSaidaAvarAVAR_MOTIVO.Text;
DMSgc.TBItenAvar.FieldByName('ITEMAVAR_TIPO').AsString:=DMSgc.TBSaidaAvarAVAR_TIPO.Text;
DMSgc.TBCadProdPROD_ESTOQUEBOM.AsFloat:=DMSgc.TBCadProdPROD_ESTOQUEBOM.AsFloat-DMSgc.TBItenAvarITEMAVAR_QUANT.AsFloat;
DMSgc.TBCadProdPROD_ESTOQUERUIM.AsFloat:=DMSgc.TBCadProdPROD_ESTOQUERUIM.AsFloat+DMSgc.TBItenAvarITEMAVAR_QUANT.AsFloat;
DMSgc.TBItenAvar.Post;
DMSgc.TBItenAvar.Refresh;
DMSgc.TBCadProd.Post;
DMSgc.TBCadProd.Refresh;
DMSgc.TBCadProd.Close;
DMSgc.TBCadProd.Open;
EdQutSaiAvar.Text:='';
EdVlrCpomSaiAvar.Text:='';
EdVlrVenAvar.Text:='';
EdDescproAva.Text:='';
EdCodProAva.Text:='';
EdCodProAva.SetFocus;
end;

procedure TFrmSaiAvar.EdCodProAvaExit(Sender: TObject);
begin
DMSgc.TBCadProd.Filtered:=True;
DMSgc.TBCadProd.Filter:='PROD_CODIDO=' + QuotedStr(EdCodProAva.Text);
EdDescproAva.Text:=DMSgc.TBCadProdPROD_DESCRICAO.Text;
end;

procedure TFrmSaiAvar.BdcSalSaiAvaClick(Sender: TObject);
begin
DMSgc.TBSaidaAvar.Edit;
TxtDatSaiAva.Text:=DateToStr(Date);
DMSgc.TBSaidaAvar.Post;
DMSgc.TBSaidaAvar.Refresh;
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBSaidaAvar.Active:=False;
DMSgc.TBCadProd.Filtered:=False;
DMSgc.TBCadProd.Filter:='';
DMSgc.TBCadProd.Active:=False;
DMSgc.TBItenAvar.Active:=False;
BdcNovSaiAva.Enabled:=True;
BdcSalSaiAva.Enabled:=False;
end;

procedure TFrmSaiAvar.BdcfecSaiAvaClick(Sender: TObject);
begin
DMSgc.TBSaidaAvar.Filtered:=False;
DMSgc.TBSaidaAvar.Filter:='';
DMSgc.TBItenAvar.Filtered:=False;
DMSgc.TBItenAvar.Filter:='';
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBSaidaAvar.Active:=False;
DMSgc.TBCadProd.Active:=False;
DMSgc.TBItenAvar.Active:=False;
FrmSaiAvar.Close;
end;

procedure TFrmSaiAvar.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmSaiAvar:= NIL;
end;

procedure TFrmSaiAvar.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
BdcfecSaiAva.Click;
end;

procedure TFrmSaiAvar.BitBtn2Click(Sender: TObject);
begin
If DMSgc.TBItenAvar.RecordCount <> 0 Then
    begin
      If Application.MessageBox('Deseja realmente excluir o item?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
        begin
        DMSgc.TBCadProd.Edit;
        DMSgc.TBCadProdPROD_ESTOQUERUIM.AsFloat:=DMSgc.TBCadProdPROD_ESTOQUERUIM.AsFloat - DMSgc.TBItenAvarITEMAVAR_QUANT.AsFloat;
        DMSgc.TBCadProdPROD_ESTOQUEBOM.AsFloat:=DMSgc.TBCadProdPROD_ESTOQUEGERAL.AsFloat - DMSgc.TBCadProdPROD_ESTOQUERUIM.AsFloat;
        DMSgc.TBCadProd.Post;
        DMSgc.TBCadProd.Refresh;
        DMSgc.TBItenAvar.Delete;
        DMSgc.TBItenAvar.Edit;
        DMSgc.TBItenAvar.Post;
        DMSgc.TBItenAvar.Refresh;
      end
    end
end;

procedure TFrmSaiAvar.TxtForSaiAvaClick(Sender: TObject);
begin
DMSgc.TBCadForn.Last;
DMSgc.TBCadForn.First;
end;

procedure TFrmSaiAvar.TxtForSaiAvaEnter(Sender: TObject);
begin
DMSgc.TBCadForn.Last;
DMSgc.TBCadForn.First;
end;

procedure TFrmSaiAvar.FormCreate(Sender: TObject);
begin
Left:=78;
Top:=159;
end;

procedure TFrmSaiAvar.BdcConsSaiClick(Sender: TObject);
begin
DMSgc.TBSaidaAvar.Filtered:=True;
DMSgc.TBSaidaAvar.Filter:='AVAR_CODIGO='+QuotedStr(EdLocSai.Text);
DMSgc.TBItenAvar.Filtered:=True;
DMSgc.TBItenAvar.Filter:='ITEMAVAR_CODITEM='+QuotedStr(EdLocSai.Text);
EdVlrCpomSaiAvar.Text:=DMSgc.TBItenAvarITEMAVAR_VLRCOM.Text;
EdVlrVenAvar.Text:=DMSgc.TBItenAvarITEMAVAR_VLRVEN.Text;
end;

end.
