unit UntTipoRelEst;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, DB, DBCtrls;

type
  TFrmTipoRelEst = class(TForm)
    RadioGroup1: TRadioGroup;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    TxtLocGrp: TDBLookupComboBox;
    DsLocGrp: TDataSource;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure TxtLocGrpEnter(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmTipoRelEst: TFrmTipoRelEst;

implementation

uses DM, UntQrepEst;

{$R *.dfm}

procedure TFrmTipoRelEst.FormCreate(Sender: TObject);
begin
RadioGroup1.ItemIndex:=0;
end;

procedure TFrmTipoRelEst.RadioGroup1Click(Sender: TObject);
begin
If RadioGroup1.ItemIndex = 0 Then
  begin
    Label1.Visible:=False;
    TxtLocGrp.Visible:=False;
    Height:=141;
  end
      else
        If RadioGroup1.ItemIndex = 1 Then
          begin
            Label1.Visible:=True;
            TxtLocGrp.Visible:=True;
            Height:=177;
            DMSgc.TBGrupo.Active:=True;
        end
end;

procedure TFrmTipoRelEst.BitBtn1Click(Sender: TObject);
begin
If RadioGroup1.ItemIndex = 0 Then
  begin
    QRepImpEstq.TbImpEstq.Active:=True;
    QRepImpEstq.TbImpEstq.Filtered:=False;
    QRepImpEstq.TbImpEstq.Filter:='';
    QRepImpEstq.Preview;
  end
      else
        If RadioGroup1.ItemIndex = 1 Then
          begin
            QRepImpEstq.TbImpEstq.Active:=True;
            QRepImpEstq.TbImpEstq.Filtered:=True;
            QRepImpEstq.TbImpEstq.Filter:='PROD_GRUPO='+QuotedStr(TxtLocGrp.Text);
            QRepImpEstq.Preview;
          end
end;

procedure TFrmTipoRelEst.TxtLocGrpEnter(Sender: TObject);
begin
DMSgc.TBGrupo.IndexFieldNames:='GRUPO_DESCRICAO';
DMSgc.TBGrupo.Last;
DMSgc.TBGrupo.First;
end;

procedure TFrmTipoRelEst.BitBtn2Click(Sender: TObject);
begin
QRepImpEstq.TbImpEstq.Filtered:=False;
QRepImpEstq.TbImpEstq.Filter:='';
QRepImpEstq.TbImpEstq.Active:=False;
DMSgc.TBGrupo.Active:=False;
FrmTipoRelEst.Close;
end;

procedure TFrmTipoRelEst.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:= CaFree;
FrmTipoRelEst:= NIL;
end;

procedure TFrmTipoRelEst.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
QRepImpEstq.TbImpEstq.Filtered:=False;
QRepImpEstq.TbImpEstq.Filter:='';
QRepImpEstq.TbImpEstq.Active:=False;
DMSgc.TBGrupo.Active:=False;
end;

end.
