unit DM;

interface

uses
  SysUtils, Classes, DB, IBCustomDataSet, IBTable, IBQuery, IBDatabase;

type
  TDMSgc = class(TDataModule)
    IBDatabaseSGC: TIBDatabase;
    IBTransaSGC: TIBTransaction;
    IBQuerySGC: TIBQuery;
    DsSGC: TDataSource;
    TbEmpresa: TIBTable;
    TbEmpresaEMPR_CODIGO: TIntegerField;
    TbEmpresaEMPR_RAZSOCIAL: TIBStringField;
    TbEmpresaEMPR_FANTASIA: TIBStringField;
    TbEmpresaEMPR_CNPJ: TIBStringField;
    TbEmpresaEMPR_INSEST: TIBStringField;
    TbEmpresaEMPR_ENDERECO: TIBStringField;
    TbEmpresaEMPR_BAIRRO: TIBStringField;
    TbEmpresaEMPR_CIDADE: TIBStringField;
    TbEmpresaEMPR_ESTADO: TIBStringField;
    TbEmpresaEMPR_CEP: TIBStringField;
    TbEmpresaEMPR_TELEFONE: TIBStringField;
    TbEmpresaEMPR_FAX: TIBStringField;
    TbEmpresaEMPR_SITE: TIBStringField;
    TbEmpresaEMPR_EMAIL: TIBStringField;
    TBCadForn: TIBTable;
    TBCadFornFORN_CODIGO: TIntegerField;
    TBCadFornFORN_RAZAOSOCIAL: TIBStringField;
    TBCadFornFORN_FANTASIA: TIBStringField;
    TBCadFornFORN_CNPJ: TIBStringField;
    TBCadFornFORN_INSESTAD: TIBStringField;
    TBCadFornFORN_ENDERECO: TIBStringField;
    TBCadFornFORN_BAIRRO: TIBStringField;
    TBCadFornFORN_CIDADE: TIBStringField;
    TBCadFornFORN_ESTADO: TIBStringField;
    TBCadFornFORN_CEP: TIBStringField;
    TBCadFornFORN_TELEFONE: TIBStringField;
    TBCadFornFORN_FAX: TIBStringField;
    TBCadFornFORN_SAITE: TIBStringField;
    TBCadFornFORN_EMAIL: TIBStringField;
    TBCadFornFORN_OBSERV: TIBStringField;
    TBCadProd: TIBTable;
    TBCadCli: TIBTable;
    TBCadCliCLI_CODIGO: TIntegerField;
    TBCadCliCLI_DATCAD: TDateField;
    TBCadCliCLI_BLOQUEADO: TIBStringField;
    TBCadCliCLI_NOME: TIBStringField;
    TBCadCliCLI_CPF: TIBStringField;
    TBCadCliCLI_IDENTIDADE: TIBStringField;
    TBCadCliCLI_ENDERECO: TIBStringField;
    TBCadCliCLI_BAIRRO: TIBStringField;
    TBCadCliCLI_CIDADE: TIBStringField;
    TBCadCliCLI_ESTADO: TIBStringField;
    TBCadCliCLI_CEP: TIBStringField;
    TBCadCliCLI_TELEFONE: TIBStringField;
    TBCadCliCLI_CELULAR: TIBStringField;
    TBCadCliCLI_EMAIL: TIBStringField;
    TBCadCliCLI_SALARIO: TIBBCDField;
    TBCadCliCLI_LIMITE: TIBBCDField;
    TBCadCliCLI_BLOQ: TIBStringField;
    TBCadCliCLI_OBSERV: TIBStringField;
    TBCadCliCLI_TIPO: TIBStringField;
    TBCadVendedor: TIBTable;
    TBCadVendedorVEND_CODIGO: TIntegerField;
    TBCadVendedorVEND_DATACAD: TDateField;
    TBCadVendedorVEND_NOME: TIBStringField;
    TBCadVendedorVEND_CPF: TIBStringField;
    TBCadVendedorVEND_RG: TIBStringField;
    TBCadVendedorVEND_ENDERECO: TIBStringField;
    TBCadVendedorVEND_BAIRRO: TIBStringField;
    TBCadVendedorVEND_CIDADE: TIBStringField;
    TBCadVendedorVEND_TELEFONE: TIBStringField;
    TBCadVendedorVEND_CELULAR: TIBStringField;
    TBCadVendedorVEND_EMAIL: TIBStringField;
    TBCadVendedorVEND_CONTATO: TIBStringField;
    TBCadVendedorVEND_DEMITIDO: TIBStringField;
    TBCadVendedorVEND_COMIS: TIBBCDField;
    TBCadVendedorVEND_VLRCOMIS: TIBBCDField;
    TBCadVendedorVEND_DATAVENDA: TDateField;
    TBEntrada: TIBTable;
    TBItensEnt: TIBTable;
    TBSaidaAvar: TIBTable;
    TBItenAvar: TIBTable;
    DsSaiAvar: TDataSource;
    DsItemAva: TDataSource;
    TBSaidaAvarAVAR_CODIGO: TIntegerField;
    TBSaidaAvarAVAR_DATA: TDateField;
    TBSaidaAvarAVAR_FORNECEDOR: TIBStringField;
    TBSaidaAvarAVAR_TIPO: TIBStringField;
    TBSaidaAvarAVAR_MOTIVO: TIBStringField;
    TbContPag: TIBTable;
    TbFatrPagar: TIBTable;
    TBCaixaDesp: TIBTable;
    TBGrupo: TIBTable;
    TBGrupoGRUPO_CODIGO: TIntegerField;
    TBGrupoGRUPO_DESCRICAO: TIBStringField;
    TBJuros: TIBTable;
    TBJurosJUROS_DIA: TIBBCDField;
    TBJurosJUROS_MES: TIBBCDField;
    TBJurosJUROS_ANO: TIBBCDField;
    TBVenda: TIBTable;
    TBItemVenda: TIBTable;
    TBParcRece: TIBTable;
    TBCadProdPROD_CODIDO: TIBStringField;
    TBCadProdPROD_GRUPO: TIBStringField;
    TBCadProdPROD_DESCRICAO: TIBStringField;
    TBCadProdPROD_FORNECEDOR: TIBStringField;
    TBCadProdPROD_UNIDADE: TIBStringField;
    TBCadProdPROD_PRECOCOMPRA: TIBBCDField;
    TBCadProdPROD_MARGEM: TIBBCDField;
    TBCadProdPROD_PRECOVENDA: TIBBCDField;
    TBCadProdPROD_REPOSICAO: TIBBCDField;
    TBCadProdPROD_ESTOQUEBOM: TIBBCDField;
    TBCadProdPROD_ESTOQUERUIM: TIBBCDField;
    TBCadProdPROD_ESTOQUEGERAL: TIBBCDField;
    TBCadProdPROD_DATAFABRI: TDateField;
    TBCadProdPROD_DATAVENC: TDateField;
    TBCadProdPROD_ESPECIFICA: TIBStringField;
    TBEntradaENTRA_CODIGO: TIntegerField;
    TBEntradaENTRA_DATA: TDateField;
    TBEntradaENTRA_NUMNF: TLargeintField;
    TBEntradaENTRA_FORNEC: TIBStringField;
    TBEntradaENTRA_TIPOPGTO: TIBStringField;
    TBEntradaENTRA_NUMPARCE: TIntegerField;
    TBEntradaENTRA_VLRPARCE: TIBBCDField;
    TBEntradaENTRA_DESCONTO: TIBBCDField;
    TBEntradaENTRA_TOTAL: TIBBCDField;
    TBItensEntDETEN_ID: TIntegerField;
    TBItensEntDETEN_GRUPO: TIBStringField;
    TBItensEntDETEN_CODPRO: TIBStringField;
    TBItensEntDETEN_DESCPRO: TIBStringField;
    TBItensEntDETEN_UNDET: TIBStringField;
    TBItensEntDETEN_QUTENT: TIBBCDField;
    TBItensEntDETEN_VLRENTR: TIBBCDField;
    TBItensEntDETEN_TOTITEN: TIBBCDField;
    TBItenAvarITEMAVAR_CODITEM: TIntegerField;
    TBItenAvarITEMAVAR_CODPRO: TIBStringField;
    TBItenAvarITEMAVAR_GRUPO: TIBStringField;
    TBItenAvarITEMAVAR_DESCR: TIBStringField;
    TBItenAvarITEMAVAR_QUANT: TIBBCDField;
    TBItenAvarITEMAVAR_VLRCOM: TIBBCDField;
    TBItenAvarITEMAVAR_VLRVEN: TIBBCDField;
    TBItenAvarITEMAVAR_MOTI: TIBStringField;
    TBItenAvarITEMAVAR_TIPO: TIBStringField;
    TbContPagCONTPAG_CODIGO: TIntegerField;
    TbContPagCONTPAG_DATALANC: TDateField;
    TbContPagCONTPAG_NUMERODOC: TLargeintField;
    TbContPagCONTPAG_FORNECEDOR: TIBStringField;
    TbContPagCONTPAG_VALORDOC: TIBBCDField;
    TbContPagCONTPAG_NUMPARC: TIntegerField;
    TbContPagCONTPAG_CONDPAGTO: TIBStringField;
    TbContPagCONTPAG_VALORPARC: TIBBCDField;
    TbContPagCONTPAG_PRIMVENCIM: TDateField;
    TbFatrPagarFATPAG_CODIGI: TIntegerField;
    TbFatrPagarFATPAG_FORNECEDOR: TIBStringField;
    TbFatrPagarFATPAG_NUMEROFAT: TIBStringField;
    TbFatrPagarFATPAG_VLRPARCELA: TIBBCDField;
    TbFatrPagarFATPAG_VENCIMENTO: TDateField;
    TbFatrPagarFATPAG_DATAPAGTO: TDateField;
    TbFatrPagarFATPAG_VLALORPAGO: TIBBCDField;
    TbFatrPagarFATPAG_JUROSPAGO: TIBBCDField;
    TbFatrPagarFATPAG_SITUACAO: TIBStringField;
    TBCaixaDespDESP_CODIGO: TIntegerField;
    TBCaixaDespDESP_DATA: TDateField;
    TBCaixaDespDESP_NUMDOC: TIBStringField;
    TBCaixaDespDESP_HOSTORICO: TIBStringField;
    TBCaixaDespDESP_VALOR: TIBBCDField;
    TBVendaVENDA_CODIGO: TIntegerField;
    TBVendaVENDA_TIPO: TIBStringField;
    TBVendaVENDA_DATA: TDateField;
    TBVendaVENDA_VENDEDOR: TIBStringField;
    TBVendaVENDA_CLIENTE: TIBStringField;
    TBVendaVENDA_CONDPGTO: TIBStringField;
    TBVendaVENDA_FORMAPGTO: TIBStringField;
    TBVendaVENDA_NUMPARC: TSmallintField;
    TBVendaVENDA_VLRPARC: TIBBCDField;
    TBVendaVENDA_DESCONTO: TIBBCDField;
    TBVendaVENDA_JUROS: TIBBCDField;
    TBVendaVENDA_ENTRADA: TIBBCDField;
    TBVendaVENDA_TOTAL: TIBBCDField;
    TBVendaVENDA_OBSERV: TIBStringField;
    TBVendaVENDA_TOTPARC: TIBBCDField;
    TBVendaVENDA_PRIPGTO: TDateField;
    TBItemVendaITVENDA_CODIGO: TIntegerField;
    TBItemVendaITVENDA_PRODVENDA: TIBStringField;
    TBItemVendaITVENDA_DESCPRODUTO: TIBStringField;
    TBItemVendaITVENDA_UNIDPROD: TIBStringField;
    TBItemVendaITVENDA_VALORVEN: TIBBCDField;
    TBItemVendaITVENDA_DESCITEM: TIBBCDField;
    TBItemVendaITVENDA_TOTALITEM: TIBBCDField;
    TBItemVendaITVENDA_GRUPO: TIBStringField;
    TBParcRecePREC_CODIGO: TIntegerField;
    TBParcRecePREC_NUMERO: TIntegerField;
    TBParcRecePREC_NUMFATURA: TIBStringField;
    TBParcRecePREC_CLIENTE: TIBStringField;
    TBParcRecePREC_VENCIMENTO: TDateField;
    TBParcRecePREV_VALOR: TIBBCDField;
    TBParcRecePREC_DATPGTO: TDateField;
    TBParcRecePREC_VALORPAGO: TIBBCDField;
    TBParcRecePREC_VALOREXTEN: TIBStringField;
    TBParcRecePREC_BAIXADO: TIBStringField;
    TBItemVendaITVENDA_QUANTIDADE: TIBBCDField;
    TBItemVendaITVENDA_OBSERV: TIBStringField;
    TBVendaVENDA_ENTREGA: TIBStringField;
    TBParcRecePREC_DIASATRASO: TIntegerField;
    TbCaixa: TIBTable;
    TbCaixaCAIXAFAT_CODIGO: TIntegerField;
    TbCaixaCAIXAFAT_DATA: TDateField;
    TbCaixaCAIXAFAT_DOCUM: TIBStringField;
    TbCaixaCAIXAFAT_HISTORICO: TIBStringField;
    TbCaixaCAIXAFAT_VALOR: TIBBCDField;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DMSgc: TDMSgc;

implementation

uses UntContPag;

{$R *.dfm}

end.
