unit UntBxFatPg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons, Mask, DBCtrls, DB, IBCustomDataSet,
  IBQuery, IBTable;

type
  TFrmBxFatPg = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    DsBxFatPg: TDataSource;
    Label2: TLabel;
    TxtForBxFatPg: TDBEdit;
    Label3: TLabel;
    TxtNuBxFatPg: TDBEdit;
    Label4: TLabel;
    TxtVlrBxFatPg: TDBEdit;
    Label5: TLabel;
    txtVenBxFatPg: TDBEdit;
    Label6: TLabel;
    TxtDatPgto: TDBEdit;
    Label7: TLabel;
    TxtVlrPago: TDBEdit;
    Label8: TLabel;
    TxtJurPago: TDBEdit;
    BdcBxFatPg: TBitBtn;
    BdcCanFatPg: TBitBtn;
    BdcFecFatPg: TBitBtn;
    EdLocFatPg: TEdit;
    TbBxFatPag: TIBTable;
    TbBxFatPagFATPAG_CODIGI: TIntegerField;
    TbBxFatPagFATPAG_FORNECEDOR: TIBStringField;
    TbBxFatPagFATPAG_NUMEROFAT: TIBStringField;
    TbBxFatPagFATPAG_VLRPARCELA: TIBBCDField;
    TbBxFatPagFATPAG_VENCIMENTO: TDateField;
    TbBxFatPagFATPAG_DATAPAGTO: TDateField;
    TbBxFatPagFATPAG_VLALORPAGO: TIBBCDField;
    TbBxFatPagFATPAG_JUROSPAGO: TIBBCDField;
    TbBxFatPagFATPAG_SITUACAO: TIBStringField;
    Label1: TLabel;
    procedure DBLookupComboBox1Enter(Sender: TObject);
    procedure EdLocFatPgExit(Sender: TObject);
    procedure BdcBxFatPgClick(Sender: TObject);
    procedure TxtDatPgtoEnter(Sender: TObject);
    procedure TxtVlrPagoExit(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BdcCanFatPgClick(Sender: TObject);
    procedure BdcFecFatPgClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmBxFatPg: TFrmBxFatPg;

implementation

uses DM;

{$R *.dfm}

procedure TFrmBxFatPg.DBLookupComboBox1Enter(Sender: TObject);
begin
DMSgc.TbFatrPagar.Last;
DMSgc.TbFatrPagar.First;
end;

procedure TFrmBxFatPg.EdLocFatPgExit(Sender: TObject);
begin
TbBxFatPag.Active:=True;
TbBxFatPag.Filtered:=True;
TbBxFatPag.Filter:='FATPAG_NUMEROFAT='+QuotedStr(EdLocFatPg.Text);
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCaixaDesp.Active:=True;
BdcBxFatPg.Enabled:=True;
BdcCanFatPg.Enabled:=True;
TxtDatPgto.SetFocus;
end;

procedure TFrmBxFatPg.BdcBxFatPgClick(Sender: TObject);
begin
TbBxFatPagFATPAG_SITUACAO.Text:='B';
TbBxFatPag.Edit;
TbBxFatPag.Post;
TbBxFatPag.Refresh;
Application.MessageBox('Fatura baixada com sucesso!','CF Informtica',MB_ICONINFORMATION);
DMSgc.TBCaixaDesp.Edit;
DMSgc.TBCaixaDesp.Append;
DMSgc.TBCaixaDespDESP_DATA.AsDateTime:=TbBxFatPagFATPAG_DATAPAGTO.AsDateTime;
DMSgc.TBCaixaDesp.FieldByName('DESP_NUMDOC').AsString:=TxtNuBxFatPg.Text;
DMSgc.TBCaixaDesp.FieldByName('DESP_HOSTORICO').AsString:='PAGAMENTO DA FATURA N '+TxtNuBxFatPg.Text;
DMSgc.TBCaixaDespDESP_VALOR.AsCurrency:=TbBxFatPagFATPAG_VLALORPAGO.AsCurrency;
DMSgc.TBCaixaDesp.Post;
DMSgc.TBCaixaDesp.Refresh;
DMSgc.TBCaixaDesp.Active:=False;
DMSgc.IBDatabaseSGC.Close;
TbBxFatPag.Active:=False;
BdcBxFatPg.Enabled:=False;
BdcCanFatPg.Enabled:=False;
EdLocFatPg.SetFocus;
EdLocFatPg.Clear;
end;

procedure TFrmBxFatPg.TxtDatPgtoEnter(Sender: TObject);
begin
If TxtDatPgto.Text<>'' Then
    begin
      MessageDlg('Esta Fatura j foi paga em '+TxtDatPgto.Text+#13+'Volte e selecione outra fatura',mtInformation,[mbOK],0);
      BdcBxFatPg.Enabled:=False;
      BdcCanFatPg.Enabled:=False;
      TbBxFatPag.Filtered:=False;
      TbBxFatPag.Filter:='';
      TbBxFatPag.Append;
      EdLocFatPg.Clear;
      EdLocFatPg.SetFocus;
    end
        else
          begin
            TbBxFatPagFATPAG_DATAPAGTO.EditMask:='!00/00/00;1;_';
          end
end;

procedure TFrmBxFatPg.TxtVlrPagoExit(Sender: TObject);
begin
TbBxFatPagFATPAG_JUROSPAGO.AsCurrency:=TbBxFatPagFATPAG_VLALORPAGO.AsCurrency-TbBxFatPagFATPAG_VLRPARCELA.AsCurrency;
end;

procedure TFrmBxFatPg.FormShow(Sender: TObject);
begin
EdLocFatPg.SetFocus;
end;

procedure TFrmBxFatPg.BdcCanFatPgClick(Sender: TObject);
begin
EdLocFatPg.Clear;
TbBxFatPag.Append;
TbBxFatPag.Active:=False;
end;

procedure TFrmBxFatPg.BdcFecFatPgClick(Sender: TObject);
begin
TbBxFatPag.Active:=False;
FrmBxFatPg.Close;
end;

procedure TFrmBxFatPg.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmBxFatPg:= NIL;
end;

procedure TFrmBxFatPg.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
TbBxFatPag.Active:=False;
end;

end.
