unit UntCadEmpr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, DB, Mask, DBCtrls;

type
  TFrmCadEmpr = class(TForm)
    Panel1: TPanel;
    BdcAltEmpr: TBitBtn;
    BdcSalEmpr: TBitBtn;
    BdcSalAltEmpr: TBitBtn;
    BdcFecEmpr: TBitBtn;
    Label1: TLabel;
    TxtCodEmpr: TDBEdit;
    DataSource1: TDataSource;
    Label2: TLabel;
    TxtRSocEmpr: TDBEdit;
    Label3: TLabel;
    TxtFantEmpr: TDBEdit;
    Label4: TLabel;
    TxtCnpjEmpr: TDBEdit;
    Label5: TLabel;
    TxtInsEmpr: TDBEdit;
    Label6: TLabel;
    TxtEndEmpr: TDBEdit;
    Label7: TLabel;
    TxtBaiEmpr: TDBEdit;
    Label8: TLabel;
    TxtCidEmpr: TDBEdit;
    Label9: TLabel;
    TxtEstEmpr: TDBEdit;
    Label10: TLabel;
    TxtCEPEmpr: TDBEdit;
    Label11: TLabel;
    TxtTelEmpr: TDBEdit;
    Label12: TLabel;
    TxtFaxEmpr: TDBEdit;
    Label13: TLabel;
    TxtSiteEmpr: TDBEdit;
    Label14: TLabel;
    TxtEmailEmpr: TDBEdit;
    Label15: TLabel;
    procedure BdcFecEmprClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcAltEmprClick(Sender: TObject);
    procedure BdcSalEmprClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadEmpr: TFrmCadEmpr;

implementation

uses DM;

{$R *.dfm}

procedure TFrmCadEmpr.BdcFecEmprClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Close;
DMSgc.TbEmpresa.Active:=False;
FrmCadEmpr.Close;
end;

procedure TFrmCadEmpr.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmCadEmpr:= NIL;
end;

procedure TFrmCadEmpr.BdcAltEmprClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TbEmpresa.Active:=True;
DMSgc.TbEmpresa.Edit;
BdcSalAltEmpr.Enabled:=True;
BdcAltEmpr.Enabled:=False;
TxtRSocEmpr.SetFocus;
end;

procedure TFrmCadEmpr.BdcSalEmprClick(Sender: TObject);
begin
if (TxtRSocEmpr.Text='') or (TxtFantEmpr.Text='') or (TxtCnpjEmpr.Text='') or (TxtEndEmpr.Text='')
    or (TxtBaiEmpr.Text='') or (TxtCidEmpr.Text='') or (TxtEstEmpr.Text='') or (TxtCEPEmpr.Text='')
    or (TxtTelEmpr.Text='') or (TxtEmailEmpr.Text='') Then
   begin
       Application.MessageBox('Dados insuficientes para salvar o cadastro.'#13'Volte e preencha os campos pendentes...','CF Informtica',MB_ICONINFORMATION);
       TxtRSocEmpr.SetFocus;
end
   else
    begin
       DMSgc.TbEmpresa.Post;
       DMSgc.TbEmpresa.Refresh;
       Application.MessageBox('Empresa cadastrada com sucesso no sistema'#13'O formulrio de cadastro ser fechado...','CF Informtica',MB_ICONINFORMATION);
       FrmCadEmpr.Close;
end
end;

procedure TFrmCadEmpr.FormShow(Sender: TObject);
begin
TxtRSocEmpr.SetFocus;
end;

end.
