unit UntCadForn;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, StdCtrls, Buttons, ExtCtrls, DB, Mask, Grids, DBGrids,
  IBCustomDataSet, IBTable;

type
  TFrmCadForn = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    BdcNovoForn: TBitBtn;
    BdcSalForn: TBitBtn;
    BdcSalAltForn: TBitBtn;
    BdcAltForn: TBitBtn;
    BdcExcForn: TBitBtn;
    BdcFecForn: TBitBtn;
    Label1: TLabel;
    TxtlocForn: TDBLookupComboBox;
    Label2: TLabel;
    TxtCodForn: TDBEdit;
    DsCadForn: TDataSource;
    Label3: TLabel;
    TxtRSocForn: TDBEdit;
    Label4: TLabel;
    TxtFanForn: TDBEdit;
    Label5: TLabel;
    TxtCnpjForn: TDBEdit;
    Label6: TLabel;
    TxtInsForn: TDBEdit;
    Label7: TLabel;
    TxtEndForn: TDBEdit;
    Label8: TLabel;
    TxtBaiForn: TDBEdit;
    Label9: TLabel;
    TxtCidForn: TDBEdit;
    Label10: TLabel;
    Label11: TLabel;
    TxtCepForn: TDBEdit;
    Label12: TLabel;
    TxtTelForn: TDBEdit;
    Label13: TLabel;
    TxtFaxForn: TDBEdit;
    Label14: TLabel;
    TxtSiteForn: TDBEdit;
    Label15: TLabel;
    TxtEmailForn: TDBEdit;
    Label16: TLabel;
    TxtObsForn: TDBMemo;
    TxtEstForn: TDBComboBox;
    Label17: TLabel;
    DBGrid1: TDBGrid;
    DsFatPgForn: TDataSource;
    BdcConFatForn: TBitBtn;
    Label18: TLabel;
    TBFatForn: TIBTable;
    TBFatFornFATPAG_CODIGI: TIntegerField;
    TBFatFornFATPAG_FORNECEDOR: TIBStringField;
    TBFatFornFATPAG_NUMEROFAT: TIBStringField;
    TBFatFornFATPAG_VLRPARCELA: TIBBCDField;
    TBFatFornFATPAG_VENCIMENTO: TDateField;
    TBFatFornFATPAG_DATAPAGTO: TDateField;
    TBFatFornFATPAG_VLALORPAGO: TIBBCDField;
    TBFatFornFATPAG_JUROSPAGO: TIBBCDField;
    TBFatFornFATPAG_SITUACAO: TIBStringField;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    procedure BdcNovoFornClick(Sender: TObject);
    procedure BdcFecFornClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure BdcSalFornClick(Sender: TObject);
    procedure TxtObsFornKeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure TxtCepFornExit(Sender: TObject);
    procedure TxtTelFornExit(Sender: TObject);
    procedure TxtFaxFornExit(Sender: TObject);
    procedure BdcAltFornClick(Sender: TObject);
    procedure TxtlocFornEnter(Sender: TObject);
    procedure BdcSalAltFornClick(Sender: TObject);
    procedure BdcExcFornClick(Sender: TObject);
    procedure BdcConFatFornClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadForn: TFrmCadForn;

implementation

uses DM, UntProgress;

Function FormataFone(Fone: String): string;
VAR I : Integer;
ddd, prefix, tel : String;
begin
ddd := '';
prefix := '';
tel := '';

//pega o ddd formatado
ddd := '(';
for i := 1 to 2 do
begin
ddd := ddd+fone[i];
//Inc(i);
end;
ddd := ddd + ')';

//prefixo de 3 dgitos
if Length(Fone) = 10 then
begin
for i := 3 to length(Fone)-4 do
begin
prefix := prefix + Fone[i]
//Inc(i);
end;
prefix := prefix + '-';
end;

//prefixo de 4 digitos
if Length(Fone) = 9 then
begin
for i := 3 to length(Fone)-4 do
begin
prefix := prefix + Fone[i]
//Inc(i);
end;
prefix := prefix + '-';
end;

//telefone
for i := length(Fone)-3 to length(Fone) do
tel := tel + Fone[i];

//junta tudo
Result := ddd + prefix + tel;
end;

{$R *.dfm}

Function FormataCEP(const CEP: string): string;
var
I: integer;
begin
Result := '';
for I := 1 to Length(CEP) do
if CEP[I] in ['0'..'9'] then
Result := Result + CEP[I];
if Length(Result) <> 8 then
Result:='FALSO'
else
Result :=
Copy(Result, 1, 2) + '.' +
Copy(Result, 3, 3) + '-' +
Copy(Result, 6, 3);
end;

procedure TFrmCadForn.BdcNovoFornClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadForn.Active:=True;
DMSgc.TBCadForn.Append;
BdcNovoForn.Enabled:=False;
BdcSalForn.Enabled:=True;
TxtRSocForn.SetFocus;
end;

procedure TFrmCadForn.BdcFecFornClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadForn.Active:=False;
FrmCadForn.Close;
end;

procedure TFrmCadForn.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmCadForn:= NIL;
end;

procedure TFrmCadForn.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
BdcFecForn.Click;
end;

procedure TFrmCadForn.BdcSalFornClick(Sender: TObject);
begin
If (TxtRSocForn.Text='') or (TxtFanForn.Text='') or (TxtCnpjForn.Text='') or (TxtInsForn.Text='')
    or (TxtEndForn.Text='') or (TxtBaiForn.Text='') or (TxtCidForn.Text='') or (TxtEstForn.Text='')
    or (TxtCepForn.Text='') or (TxtTelForn.Text='') or (TxtEmailForn.Text='') Then
      begin
        Application.MessageBox('Dados insuficientes para salvar o cadastro...'#13'Volte e preencha os campos pendentes...','CF Informtica',MB_ICONERROR);
        TxtRSocForn.SetFocus;
      end
  else
    begin
      DMSgc.TBCadForn.Post;
      DMSgc.TBCadForn.Refresh;
      DMSgc.TBCadForn.Close;
      DMSgc.TBCadForn.Open;
      Application.MessageBox('Fornecedor cadastrado com sucesso...','CF Informtica',MB_ICONINFORMATION);
      DMSgc.IBDatabaseSGC.Close;
      DMSgc.TBCadForn.Active:=False;
      BdcNovoForn.Enabled:=True;
      BdcSalForn.Enabled:=False;
    end
end;

procedure TFrmCadForn.TxtObsFornKeyPress(Sender: TObject; var Key: Char);
begin
Key := AnsiUpperCase(Key)[1];
end;

procedure TFrmCadForn.FormCreate(Sender: TObject);
begin
FrmCadForn.Width:=601;
FrmCadForn.Height:=434;
end;

procedure TFrmCadForn.TxtCepFornExit(Sender: TObject);
begin
If (FormataCEP(TxtCepForn.text)) = 'FALSO' then
begin
Application.MessageBox('O CEP digitado  invalido...'#13'O CEP deve conter 8 nmeros...','Digital',MB_ICONERROR);
TxtCepForn.setfocus
end
else
begin
TxtCepForn.text := FormataCEP(TxtCepForn.text);
TxtTelForn.SetFocus;
end;
end;

procedure TFrmCadForn.TxtTelFornExit(Sender: TObject);
begin
If (Length(TxtTelForn.Text)<>10) Then
  begin
    Application.MessageBox('Nmero de telefone invlido...'#13'Informe o DDD Ex:2899012360','Digital',MB_ICONERROR);
    TxtTelForn.SetFocus;
    Abort;
  end
    else
      begin
        TxtTelForn.Text:=FormataFone(TxtTelForn.Text);
      end
end;

procedure TFrmCadForn.TxtFaxFornExit(Sender: TObject);
begin
If (Length(TxtFaxForn.Text)<>10) Then
  begin
    Application.MessageBox('Nmero de telefone invlido...'#13'Informe o DDD Ex:2899012360','Digital',MB_ICONERROR);
    TxtFaxForn.SetFocus;
    Abort;
  end
    else
      begin
        TxtFaxForn.Text:=FormataFone(TxtFaxForn.Text);
      end
end;

procedure TFrmCadForn.BdcAltFornClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadForn.Active:=True;
DMSgc.TBCadForn.IndexFieldNames:='FORN_FANTASIA';
DMSgc.TBCadForn.Edit;
DMSgc.TBCadForn.Append;
BdcSalAltForn.Enabled:=True;
BdcConFatForn.Enabled:=True;
BdcAltForn.Enabled:=False;
TxtlocForn.Enabled:=True;
TxtRSocForn.SetFocus;
end;

procedure TFrmCadForn.TxtlocFornEnter(Sender: TObject);
begin
DMSgc.TBCadForn.Last;
DMSgc.TBCadForn.First;
end;

procedure TFrmCadForn.BdcSalAltFornClick(Sender: TObject);
begin
DMSgc.TBCadForn.Post;
DMSgc.TBCadForn.Close;
DMSgc.TBCadForn.Open;
Application.MessageBox('Dados do Fornecedor alterados com sucesso...','CF Informtica',MB_ICONINFORMATION);
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadForn.Active:=False;
BdcSalAltForn.Enabled:=False;
TxtlocForn.Enabled:=False;
BdcAltForn.Enabled:=True;
end;

procedure TFrmCadForn.BdcExcFornClick(Sender: TObject);
begin
If TxtCodForn.Text='' Then
  begin
    Application.MessageBox('No existe cadastro selecionado e ser excluido...'#13'Selecione o cadastro que deseja excluir...','CF Informtica',MB_ICONERROR);
    TxtlocForn.SetFocus;
    TxtlocForn.DropDown;
  end
     else
        If Application.MessageBox('Deseja realmente excluir o Fornecedor?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
          begin
            DMSgc.TBCadForn.Delete;
            DMSgc.TBCadForn.Refresh;
            DMSgc.TBCadForn.Close;
            DMSgc.TBCadForn.Open;
            Application.MessageBox('Fornecedor excluido com sucesso...','CF Informtica',MB_ICONINFORMATION);
            DMSgc.IBDatabaseSGC.Close;
            DMSgc.TBCadForn.Active:=False;
            BdcExcForn.Enabled:=False;
            TxtlocForn.Enabled:=False;
            FrmCadForn.Close;
          end
            else
              begin
              Abort;
            end
end;

procedure TFrmCadForn.BdcConFatFornClick(Sender: TObject);
var
a: Currency;
begin
If TxtFanForn.Text='' Then
  begin
    Application.MessageBox('No existe fornecedor selecionado para consulta...'#13'Volte e selecione o Fornecedor que deseja consultar...','CF Informtica',MB_ICONERROR);
    TxtlocForn.SetFocus;
    TxtlocForn.DropDown;
  end
    else
      begin
        FrmCadForn.Height:=434;
        FrmCadForn.Width:=931;
        TBFatForn.Active:=True;
        TBFatForn.Filtered:=True;
        TBFatForn.Filter:='FATPAG_FORNECEDOR='+QuotedStr(TxtFanForn.Text)+'AND FATPAG_SITUACAO='+QuotedStr('A');
        a:=0;
        TBFatForn.First;
          While not TBFatForn.Eof do
            begin
          a:=a+TBFatFornFATPAG_VLRPARCELA.AsCurrency;
          TBFatForn.Next;
          Label19.Caption:=FormatCurr('R$###,##0.00',a);
        end;
            If a=0 Then
              begin
                Label19.Caption:='R$00,00';
                Label21.Caption:='Existe(m) 0 Fatura(s)  pagar';
              end
                  else
                    If a>0 Then
                      begin
                        Label21.Caption:='Existe(m) '+IntToStr(TBFatForn.RecordCount)+' Fatura(s)  pagar';
                      end
        end;
end;

end.
