unit UntCadGrp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, DB, StdCtrls, Mask, Buttons, ExtCtrls;

type
  TFrmCadGrp = class(TForm)
    Panel1: TPanel;
    BdcNovoGrp: TBitBtn;
    BdcSalGrp: TBitBtn;
    BdcSalAltGrp: TBitBtn;
    BdcAltGrp: TBitBtn;
    BdcExcGrp: TBitBtn;
    BdcFechGrp: TBitBtn;
    Label1: TLabel;
    TxtCodGrp: TDBEdit;
    DsGrupo: TDataSource;
    Label2: TLabel;
    TxtDescGrp: TDBEdit;
    Panel2: TPanel;
    Label3: TLabel;
    TxtLocGrupo: TDBLookupComboBox;
    procedure BdcNovoGrpClick(Sender: TObject);
    procedure BdcSalGrpClick(Sender: TObject);
    procedure BdcAltGrpClick(Sender: TObject);
    procedure TxtLocGrupoEnter(Sender: TObject);
    procedure BdcSalAltGrpClick(Sender: TObject);
    procedure BdcExcGrpClick(Sender: TObject);
    procedure BdcFechGrpClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadGrp: TFrmCadGrp;

implementation

uses DM;

{$R *.dfm}

procedure TFrmCadGrp.BdcNovoGrpClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBGrupo.Active:=True;
DMSgc.TBGrupo.Append;
BdcNovoGrp.Enabled:=False;
BdcSalGrp.Enabled:=True;
TxtDescGrp.SetFocus;
end;

procedure TFrmCadGrp.BdcSalGrpClick(Sender: TObject);
begin
If TxtDescGrp.Text='' Then
  begin
    Application.MessageBox('Informe a descrio do Grupo...','CF Informtica',MB_ICONERROR);
    TxtDescGrp.SetFocus;
  end
      else
        begin
          DMSgc.TBGrupo.Post;
          MessageDlg('O Grupo '+TxtDescGrp.Text+' foi cadastrado com sucesso!',mtInformation,[mbOk],0);
          DMSgc.TBGrupo.Refresh;
          DMSgc.TBGrupo.Active:=False;
          DMSgc.TBGrupo.Close;
          BdcNovoGrp.Enabled:=True;
          BdcSalGrp.Enabled:=False;
        end
end;

procedure TFrmCadGrp.BdcAltGrpClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBGrupo.Active:=True;
DMSgc.TBGrupo.IndexFieldNames:='GRUPO_DESCRICAO';
DMSgc.TBGrupo.Append;
TxtLocGrupo.Enabled:=True;
BdcSalAltGrp.Enabled:=True;
BdcAltGrp.Enabled:=False;
end;

procedure TFrmCadGrp.TxtLocGrupoEnter(Sender: TObject);
begin
DMSgc.TBGrupo.Last;
DMSgc.TBGrupo.First;
end;

procedure TFrmCadGrp.BdcSalAltGrpClick(Sender: TObject);
begin
DMSgc.TBGrupo.Edit;
DMSgc.TBGrupo.Post;
MessageDlg('O Grupo '+TxtDescGrp.Text+' foi alterado com sucesso!',mtInformation,[mbOk],0);
DMSgc.TBGrupo.Refresh;
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBGrupo.Active:=False;
BdcSalAltGrp.Enabled:=False;
TxtLocGrupo.Enabled:=False;
BdcAltGrp.Enabled:=True;
end;

procedure TFrmCadGrp.BdcExcGrpClick(Sender: TObject);
begin
If TxtCodGrp.Text='' Then
  begin
    Application.MessageBox('No existe grupo selecionado  ser excluido'#13'Volte e selecione grupo que deseja excluir...','CF Informtica',MB_ICONERROR);
    TxtLocGrupo.SetFocus;
    TxtLocGrupo.DropDown;
  end
      else
          If MessageDlg('Deseja realmente excluir o grupo '+TxtDescGrp.Text+' do sistema?!',mtInformation,[mbYes,mbNo],0)=mrYes Then
            begin
              MessageDlg('O Grupo '+TxtDescGrp.Text+' foi excluido com sucesso com sucesso!',mtInformation,[mbOk],0);
              DMSgc.TBGrupo.Delete;
              DMSgc.IBDatabaseSGC.Close;
              DMSgc.TBGrupo.Active:=False;
              TxtLocGrupo.Enabled:=False;
              FrmCadGrp.Close;
            end
end;

procedure TFrmCadGrp.BdcFechGrpClick(Sender: TObject);
begin
DMSgc.TBGrupo.IndexFieldNames:='';
DMSgc.TBGrupo.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmCadGrp.Close;
end;

procedure TFrmCadGrp.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmCadGrp:= NIL;
end;

procedure TFrmCadGrp.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
DMSgc.TBGrupo.IndexFieldNames:='';
DMSgc.TBGrupo.Active:=False;
DMSgc.IBDatabaseSGC.Close;
end;

procedure TFrmCadGrp.FormCreate(Sender: TObject);
begin
Left:=221;
Top:=241;
end;

end.
