unit UntCadProd;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, StdCtrls, Buttons, ExtCtrls, DB, Mask, Grids, DBGrids;

type
  TFrmCadProd = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    BdcNovoProd: TBitBtn;
    BdcSalProd: TBitBtn;
    BdcSalAltProd: TBitBtn;
    BdcAltProd: TBitBtn;
    BdcExcProd: TBitBtn;
    BdcFecProd: TBitBtn;
    Label1: TLabel;
    TxtLocProd: TDBLookupComboBox;
    Label2: TLabel;
    TxtCodProd: TDBEdit;
    DsCadProd: TDataSource;
    Label3: TLabel;
    TxtDescProd: TDBEdit;
    Label4: TLabel;
    Label5: TLabel;
    TxtUndProd: TDBEdit;
    Label6: TLabel;
    TxtLvrCompProd: TDBEdit;
    Label7: TLabel;
    TxtMarProd: TDBEdit;
    Label8: TLabel;
    TxtVendProd: TDBEdit;
    Label9: TLabel;
    TxtRepProd: TDBEdit;
    Label10: TLabel;
    TxtEstBProd: TDBEdit;
    Label11: TLabel;
    TxtAvarProd: TDBEdit;
    Label12: TLabel;
    txtEstGProd: TDBEdit;
    Label13: TLabel;
    TxtDatFabProd: TDBEdit;
    Label14: TLabel;
    TxtDatVenProd: TDBEdit;
    Label15: TLabel;
    Label16: TLabel;
    TxtEspecProd: TDBMemo;
    DBGrid1: TDBGrid;
    Label17: TLabel;
    TxtFornProd: TDBLookupComboBox;
    DsFornprod: TDataSource;
    Label18: TLabel;
    TxtGrpProd: TDBLookupComboBox;
    DsGrpProd: TDataSource;
    procedure BdcNovoProdClick(Sender: TObject);
    procedure BdcSalProdClick(Sender: TObject);
    procedure BdcFecProdClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcAltProdClick(Sender: TObject);
    procedure BdcSalAltProdClick(Sender: TObject);
    procedure BdcExcProdClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TxtEspecProdKeyPress(Sender: TObject; var Key: Char);
    procedure TxtMarProdExit(Sender: TObject);
    procedure TxtLvrCompProdExit(Sender: TObject);
    procedure TxtFornProdEnter(Sender: TObject);
    procedure TxtGrpProdEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadProd: TFrmCadProd;

implementation

uses DM;

{$R *.dfm}

procedure TFrmCadProd.BdcNovoProdClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBGrupo.Active:=True;
DMSgc.TBCadForn.Active:=True;
DMSgc.TBCadProd.Active:=True;
DMSgc.TBCadProd.Append;
BdcNovoProd.Enabled:=False;
BdcSalProd.Enabled:=True;
TxtCodProd.SetFocus;
end;

procedure TFrmCadProd.BdcSalProdClick(Sender: TObject);
begin
If (TxtCodProd.Text='') or (TxtDescProd.Text='') or (TxtFornProd.Text='') or (TxtUndProd.Text='')
    or (TxtLvrCompProd.Text='') or (TxtMarProd.Text='') or (TxtVendProd.Text='') Then
      begin
        Application.MessageBox('Dados insuficientes para salvar o cadastro...'#13'Volte e preencha os campos pendentes...','CF Informtica',MB_ICONERROR);
        TxtCodProd.SetFocus;
      end
        else
          begin
            TxtEstBProd.Text:='0';
            TxtAvarProd.Text:='0';
            txtEstGProd.Text:='0';
            DMSgc.TBCadProd.Post;
            DMSgc.TBCadProd.Refresh;
            DMSgc.TBCadProd.Close;
            DMSgc.TBCadProd.Open;
            DMSgc.TBCadProd.Last;
            Application.MessageBox('Produto cadastrado com sucesso...','CF Informtica',MB_ICONINFORMATION);
            DMSgc.IBDatabaseSGC.Close;
            DMSgc.TBCadProd.Active:=False;
            DMSgc.TBCadForn.Active:=False;
            BdcNovoProd.Enabled:=True;
            BdcSalProd.Enabled:=False;
          end
end;

procedure TFrmCadProd.BdcFecProdClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadProd.Active:=False;
FrmCadProd.Close;
end;

procedure TFrmCadProd.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
BdcFecProd.Click;
end;

procedure TFrmCadProd.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= Cafree;
FrmCadProd:= NIL;
end;

procedure TFrmCadProd.BdcAltProdClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBGrupo.Active:=True;
DMSgc.TBCadForn.Active:=True;
DMSgc.TBCadProd.Active:=True;
DMSgc.TBCadProd.IndexFieldNames:='PROD_DESCRICAO';
DMSgc.TBCadProd.Edit;
DMSgc.TBCadProd.Append;
BdcSalAltProd.Enabled:=True;
TxtLocProd.Enabled:=True;
BdcAltProd.Enabled:=False;
end;

procedure TFrmCadProd.BdcSalAltProdClick(Sender: TObject);
begin
DMSgc.TBCadProd.Post;
DMSgc.TBCadProd.Refresh;
DMSgc.TBCadProd.Close;
DMSgc.TBCadProd.Open;
DMSgc.TBCadProd.Last;
Application.MessageBox('Dados do Produto alterados com sucesso...','CF Informtica',MB_ICONINFORMATION);
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadForn.Active:=False;
BdcSalAltProd.Enabled:=False;
DMSgc.TBCadForn.Active:=False;
TxtLocProd.Enabled:=False;
BdcAltProd.Enabled:=True;
end;

procedure TFrmCadProd.BdcExcProdClick(Sender: TObject);
begin
If TxtCodProd.Text='' Then
   begin
     Application.MessageBox('No existe cadastro selecionado para ser excluido...'#13'Volte e selecione o cadastro que deseja excluir...','CF Informtica',MB_ICONERROR);
     TxtCodProd.SetFocus;
     DMSgc.TBCadProd.IndexFieldNames:='PROD_DESCRICAO';
     TxtLocProd.SetFocus;
     TxtLocProd.DropDown;
   end
     else
        If Application.MessageBox('Deseja realmente excluir o Produto?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
          begin
            DMSgc.TBCadProd.Delete;
            DMSgc.TBCadProd.Refresh;
            DMSgc.TBCadProd.Close;
            DMSgc.TBCadProd.Open;
            Application.MessageBox('Produto excluido com sucesso...','CF Informtica',MB_ICONINFORMATION);
            DMSgc.IBDatabaseSGC.Close;
            DMSgc.TBCadProd.Active:=False;
            BdcFecProd.Click;
          end
   else
      Abort;
end;

procedure TFrmCadProd.FormCreate(Sender: TObject);
begin
Left:=93;
Top:=151;
end;

procedure TFrmCadProd.TxtEspecProdKeyPress(Sender: TObject; var Key: Char);
begin
Key := AnsiUpperCase(Key)[1];
end;

procedure TFrmCadProd.TxtMarProdExit(Sender: TObject);
begin
DMSgc.TBCadProdPROD_PRECOVENDA.AsCurrency:=DMSgc.TBCadProdPROD_PRECOCOMPRA.AsCurrency * DMSgc.TBCadProdPROD_MARGEM.AsFloat/100 + DMSgc.TBCadProdPROD_PRECOCOMPRA.AsCurrency;
end;

procedure TFrmCadProd.TxtLvrCompProdExit(Sender: TObject);
begin
DMSgc.TBCadProdPROD_PRECOVENDA.AsCurrency:=DMSgc.TBCadProdPROD_PRECOCOMPRA.AsCurrency * DMSgc.TBCadProdPROD_MARGEM.AsFloat/100 + DMSgc.TBCadProdPROD_PRECOCOMPRA.AsCurrency;
end;

procedure TFrmCadProd.TxtFornProdEnter(Sender: TObject);
begin
DMSgc.TBCadForn.IndexFieldNames:='FORN_FANTASIA';
DMSgc.TBCadForn.Last;
DMSgc.TBCadForn.First;
end;

procedure TFrmCadProd.TxtGrpProdEnter(Sender: TObject);
begin
DMSgc.TBGrupo.IndexFieldNames:='GRUPO_DESCRICAO';
DMSgc.TBGrupo.Last;
DMSgc.TBGrupo.First;
end;

end.
