unit UntCadVend;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, StdCtrls, Mask, DBCtrls, Buttons, ExtCtrls;

type
  TFrmCadVend = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    BdcNovVend: TBitBtn;
    BdcSalVend: TBitBtn;
    BdcSalAltVend: TBitBtn;
    BdcAltVend: TBitBtn;
    BdcExcVend: TBitBtn;
    BdcFecVend: TBitBtn;
    Label1: TLabel;
    TxtLocVend: TDBLookupComboBox;
    Label2: TLabel;
    TxtCodVen: TDBEdit;
    DataSource1: TDataSource;
    Label3: TLabel;
    TxtDatCadVen: TDBEdit;
    Label4: TLabel;
    TxtNomeVen: TDBEdit;
    Label5: TLabel;
    TxtCpfVen: TDBEdit;
    Label6: TLabel;
    txtGrVen: TDBEdit;
    Label7: TLabel;
    TxtEndVen: TDBEdit;
    Label8: TLabel;
    TxtBaiVen: TDBEdit;
    Label9: TLabel;
    TxtCidVen: TDBEdit;
    Label10: TLabel;
    TxtTelVen: TDBEdit;
    Label11: TLabel;
    TxtCelVen: TDBEdit;
    Label12: TLabel;
    TxtEmaiVen: TDBEdit;
    Label13: TLabel;
    TxtConVen: TDBEdit;
    txtDemitVen: TDBEdit;
    Label15: TLabel;
    TxtComisVen: TDBEdit;
    DBRadioGroup1: TDBRadioGroup;
    Label14: TLabel;
    procedure BdcNovVendClick(Sender: TObject);
    procedure BdcFecVendClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure BdcSalVendClick(Sender: TObject);
    procedure BdcAltVendClick(Sender: TObject);
    procedure TxtLocVendEnter(Sender: TObject);
    procedure BdcSalAltVendClick(Sender: TObject);
    procedure BdcExcVendClick(Sender: TObject);
    procedure TxtTelVenExit(Sender: TObject);
    procedure TxtCelVenExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadVend: TFrmCadVend;

implementation

uses DM;

Function FormataFone(Fone: String): string;
VAR I : Integer;
ddd, prefix, tel : String;
begin
ddd := '';
prefix := '';
tel := '';

//pega o ddd formatado
ddd := '(';
for i := 1 to 2 do
begin
ddd := ddd+fone[i];
//Inc(i);
end;
ddd := ddd + ')';

//prefixo de 3 dgitos
if Length(Fone) = 10 then
begin
for i := 3 to length(Fone)-4 do
begin
prefix := prefix + Fone[i]
//Inc(i);
end;
prefix := prefix + '-';
end;

//prefixo de 4 digitos
if Length(Fone) = 9 then
begin
for i := 3 to length(Fone)-4 do
begin
prefix := prefix + Fone[i]
//Inc(i);
end;
prefix := prefix + '-';
end;

//telefone
for i := length(Fone)-3 to length(Fone) do
tel := tel + Fone[i];

//junta tudo
Result := ddd + prefix + tel;
end;

{$R *.dfm}

procedure TFrmCadVend.BdcNovVendClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadVendedor.Active:=True;
DMSgc.TBCadVendedor.Append;
BdcNovVend.Enabled:=False;
BdcSalVend.Enabled:=True;
TxtComisVen.SetFocus;
end;

procedure TFrmCadVend.BdcFecVendClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadVendedor.Active:=False;
FrmCadVend.Close;
end;

procedure TFrmCadVend.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:= CaFree;
FrmCadVend:= NIL;
end;

procedure TFrmCadVend.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
BdcFecVend.Click;
end;

procedure TFrmCadVend.BdcSalVendClick(Sender: TObject);
begin
if (TxtNomeVen.Text='') or (TxtCpfVen.Text='') or (txtGrVen.Text='') or (TxtEndVen.Text='')
    or (TxtBaiVen.Text='') or (TxtCidVen.Text='') or (TxtTelVen.Text='') or (TxtCelVen.Text='')
    or (TxtEmaiVen.Text='') or (TxtConVen.Text='') or (TxtComisVen.Text='') then
      begin
      Application.MessageBox('Dados insuficientes para salvar o cadastro...','CF Informtica',MB_ICONERROR);
      TxtComisVen.SetFocus;
end
        else
          begin
            TxtDatCadVen.Text:=DateToStr(Date);
            DMSgc.TBCadVendedor.Post;
            DMSgc.TBCadVendedor.Refresh;
            DMSgc.TBCadVendedor.Close;
            DMSgc.TBCadVendedor.Open;
            Application.MessageBox('Vendedor cadastrado com sucesso...','CF Informtica',MB_ICONINFORMATION);
            DMSgc.IBDatabaseSGC.Close;
            DMSgc.TBCadVendedor.Active:=False;
            BdcNovVend.Enabled:=True;
            BdcSalVend.Enabled:=False;
        end
end;

procedure TFrmCadVend.BdcAltVendClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBCadVendedor.Active:=True;
DMSgc.TBCadVendedor.IndexFieldNames:='VEND_NOME';
DMSgc.TBCadVendedor.Edit;
DMSgc.TBCadVendedor.Append;
BdcSalAltVend.Enabled:=True;
TxtLocVend.Enabled:=True;
BdcAltVend.Enabled:=False;
end;

procedure TFrmCadVend.TxtLocVendEnter(Sender: TObject);
begin
DMSgc.TBCadVendedor.Last;
DMSgc.TBCadVendedor.First;
end;

procedure TFrmCadVend.BdcSalAltVendClick(Sender: TObject);
begin
DMSgc.TBCadVendedor.Post;
DMSgc.TBCadVendedor.Close;
DMSgc.TBCadVendedor.Open;
Application.MessageBox('Dados do Vendedor alterados com sucesso...','CF Informtica',MB_ICONINFORMATION);
DMSgc.IBDatabaseSGC.Close;
DMSgc.TBCadVendedor.Active:=False;
BdcAltVend.Enabled:=True;
BdcSalAltVend.Enabled:=False;
TxtLocVend.Enabled:=False;
end;

procedure TFrmCadVend.BdcExcVendClick(Sender: TObject);
begin
If TxtCodVen.Text='' Then
  begin
    Application.MessageBox('No existe cadastro selecionado para ser excluido...'#13'Volte e selecione o cadastro que deseja excluir...','CF Informtica',MB_ICONERROR);
    TxtLocVend.SetFocus;
    TxtLocVend.DropDown;
end
    else
      If Application.MessageBox('Deseja realmente excluir o Vendedor?','CF Informtica',MB_YESNO+MB_ICONQUESTION)=mrYes Then
        begin
          DMSgc.TBCadVendedor.Delete;
          Application.MessageBox('Vendedor excluido com sucesso...','CF Informtica',MB_ICONINFORMATION);
          DMSgc.IBDatabaseSGC.Close;
          DMSgc.TBCadVendedor.Active:=False;
          BdcFecVend.Click;
      end
          else
            begin
              Abort;
          end
end;

procedure TFrmCadVend.TxtTelVenExit(Sender: TObject);
begin
If (Length(TxtTelVen.Text)<>10) Then
  begin
    Application.MessageBox('Nmero de telefone invlido...'#13'Informe o DDD Ex:2899012360','Digital',MB_ICONERROR);
    TxtTelVen.SetFocus;
    Abort;
  end
    else
      begin
        TxtTelVen.Text:=FormataFone(TxtTelVen.Text);
      end
end;

procedure TFrmCadVend.TxtCelVenExit(Sender: TObject);
begin
If (Length(TxtCelVen.Text)<>10) Then
  begin
    Application.MessageBox('Nmero de telefone invlido...'#13'Informe o DDD Ex:2899012360','Digital',MB_ICONERROR);
    TxtCelVen.SetFocus;
    Abort;
  end
    else
      begin
        TxtCelVen.Text:=FormataFone(TxtCelVen.Text);
      end
end;

end.
