unit UntConsContPg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DBCtrls, StdCtrls, Buttons, Mask, ExtCtrls, DB,
  Menus, IBCustomDataSet, IBTable;

type
  TFrmConsContPg = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    MEDatIni: TMaskEdit;
    MEDatFim: TMaskEdit;
    Label1: TLabel;
    Label2: TLabel;
    BdcPesFatPg: TBitBtn;
    BdcfechConsConPg: TBitBtn;
    bdcTodFatPg: TBitBtn;
    Label3: TLabel;
    TxtlocFornFatPg: TDBLookupComboBox;
    Panel2: TPanel;
    GroupBox2: TGroupBox;
    DBGrid1: TDBGrid;
    DsConFatPg: TDataSource;
    DsConsFatPgForn: TDataSource;
    PopupMenu1: TPopupMenu;
    BaixarFatura1: TMenuItem;
    Panel3: TPanel;
    Label4: TLabel;
    Alterar1: TMenuItem;
    Label5: TLabel;
    TbConFatPg: TIBTable;
    TbConFatPgFATPAG_CODIGI: TIntegerField;
    TbConFatPgFATPAG_FORNECEDOR: TIBStringField;
    TbConFatPgFATPAG_NUMEROFAT: TIBStringField;
    TbConFatPgFATPAG_VLRPARCELA: TIBBCDField;
    TbConFatPgFATPAG_VENCIMENTO: TDateField;
    TbConFatPgFATPAG_DATAPAGTO: TDateField;
    TbConFatPgFATPAG_VLALORPAGO: TIBBCDField;
    TbConFatPgFATPAG_JUROSPAGO: TIBBCDField;
    TbConFatPgFATPAG_SITUACAO: TIBStringField;
    procedure TxtlocFornFatPgEnter(Sender: TObject);
    procedure BdcfechConsConPgClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcPesFatPgClick(Sender: TObject);
    procedure bdcTodFatPgClick(Sender: TObject);
    procedure TxtlocFornFatPgClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmConsContPg: TFrmConsContPg;

implementation

uses DM;

{$R *.dfm}

procedure TFrmConsContPg.TxtlocFornFatPgEnter(Sender: TObject);
begin
DMSgc.TBCadForn.Last;
DMSgc.TBCadForn.First;
end;

procedure TFrmConsContPg.BdcfechConsConPgClick(Sender: TObject);
begin
DMSgc.TBCadForn.Active:=False;
DMSgc.TbFatrPagar.Filtered:=False;
DMSgc.TbFatrPagar.Filter:='';
DMSgc.TBCadForn.Active:=False;
DMSgc.TbFatrPagar.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmConsContPg.Close;
end;

procedure TFrmConsContPg.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:= CaFree;
FrmConsContPg:= NIL;
end;

procedure TFrmConsContPg.BdcPesFatPgClick(Sender: TObject);
var
a: Currency;
DatIni, DatFim: TDate;
begin
TbConFatPg.Active:=True;
DatIni:=StrToDate(MEDatIni.Text);
DatFim:=StrToDate(MEDatFim.Text);
ShortDateFormat:='mm/dd/yy';
MEDatIni.Text:=DateToStr(DatIni);
MEDatFim.Text:=DateToStr(DatFim);
TbConFatPg.Filtered:=True;
TbConFatPg.Filter:='FATPAG_VENCIMENTO>='+QuotedStr(MEDatIni.Text)+'AND FATPAG_VENCIMENTO<='+QuotedStr(MEDatFim.Text)+'AND FATPAG_SITUACAO='+QuotedStr('A');
ShortDateFormat:='dd/mm/yy';
MEDatIni.Clear;
MEDatFim.Clear;
MEDatIni.SetFocus;
a:=0;
TbConFatPg.First;
While not TbConFatPg.Eof do
begin
a:=a+TbConFatPgFATPAG_VLRPARCELA.AsCurrency;
TbConFatPg.Next;
Label5.Caption:=FormatCurr('R$###,##0.00',a);
end;
  If a=0 Then
    begin
      Label5.Caption:='R$00,00';
    end
end;

procedure TFrmConsContPg.bdcTodFatPgClick(Sender: TObject);
var
a: Currency;
begin
TbConFatPg.Active:=True;
TbConFatPg.Filtered:=True;
TbConFatPg.Filter:='FATPAG_SITUACAO='+QuotedStr('A');
ShortDateFormat:='dd/mm/yy';
MEDatIni.SetFocus;
a:=0;
TbConFatPg.First;
While not TbConFatPg.Eof do
begin
a:=a+TbConFatPgFATPAG_VLRPARCELA.AsCurrency;
TbConFatPg.Next;
Label5.Caption:=FormatCurr('R$###,##0.00',a);
end;
end;

procedure TFrmConsContPg.TxtlocFornFatPgClick(Sender: TObject);
begin
TbConFatPg.Filtered:=True;
TbConFatPg.Filter:='FATPAG_FORNECEDOR='+QuotedStr(TxtlocFornFatPg.Text)+'AND FATPAG_SITUACAO='+QuotedStr('A');
end;

procedure TFrmConsContPg.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
BdcfechConsConPg.Click;
end;

procedure TFrmConsContPg.FormCreate(Sender: TObject);
begin
Top:=155;
Left:=72;
end;

end.
