unit UntFluxCaixa;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, Mask, ComCtrls, ExtCtrls, DB, Grids, DBGrids,
  IBCustomDataSet, IBTable;

type
  TFrmFluxCaixa = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    DtInicial: TDateTimePicker;
    TxtInicial: TMaskEdit;
    Label1: TLabel;
    Label2: TLabel;
    TxtFinal: TMaskEdit;
    DtFinal: TDateTimePicker;
    SpeedButton1: TSpeedButton;
    GroupBox1: TGroupBox;
    DBGrid1: TDBGrid;
    DsCaixDesp: TDataSource;
    SpeedButton2: TSpeedButton;
    TxtValSaida: TLabeledEdit;
    TxtValEntrada: TLabeledEdit;
    Label3: TLabel;
    Label4: TLabel;
    TxtValTot: TLabeledEdit;
    GroupBox2: TGroupBox;
    DBGrid2: TDBGrid;
    TBFluxDesp: TIBTable;
    TBFluxDespDESP_CODIGO: TIntegerField;
    TBFluxDespDESP_DATA: TDateField;
    TBFluxDespDESP_NUMDOC: TIBStringField;
    TBFluxDespDESP_HOSTORICO: TIBStringField;
    TBFluxDespDESP_VALOR: TIBBCDField;
    SpeedButton3: TSpeedButton;
    TbFluxFat: TIBTable;
    TbFluxFatCAIXAFAT_CODIGO: TIntegerField;
    TbFluxFatCAIXAFAT_DATA: TDateField;
    TbFluxFatCAIXAFAT_DOCUM: TIBStringField;
    TbFluxFatCAIXAFAT_HISTORICO: TIBStringField;
    TbFluxFatCAIXAFAT_VALOR: TIBBCDField;
    DSFluxFat: TDataSource;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure DtInicialCloseUp(Sender: TObject);
    procedure DtFinalCloseUp(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmFluxCaixa: TFrmFluxCaixa;

implementation

uses DM;

{$R *.dfm}

procedure TFrmFluxCaixa.SpeedButton1Click(Sender: TObject);
var
a,b,Tot: Currency;
DatIni, DatFim: TDate;
begin
TBFluxDesp.Active:=True;
TbFluxFat.Active:=True;
DatIni:=StrToDate(TxtInicial.Text);
DatFim:=StrToDate(TxtFinal.Text);
ShortDateFormat:='mm/dd/yyyy';
TxtInicial.Text:=DateToStr(DatIni);
TxtFinal.Text:=DateToStr(DatFim);
ShortDateFormat:='dd/mm/yyyy';
TBFluxDesp.Filtered:=True;
TBFluxDesp.Filter:='DESP_DATA>='+QuotedStr(TxtInicial.Text)+'AND DESP_DATA<='+QuotedStr(TxtFinal.Text);
TbFluxFat.Filtered:=True;
TbFluxFat.Filter:='CAIXAFAT_DATA>='+QuotedStr(TxtInicial.Text)+'AND CAIXAFAT_DATA<='+QuotedStr(TxtFinal.Text);
TxtInicial.Text:=DateToStr(DtInicial.Date);
TxtFinal.Text:=DateToStr(DtFinal.Date);
a:=0;
TBFluxDesp.First;
While not TBFluxDesp.Eof do
begin
a:= a+TBFluxDespDESP_VALOR.AsCurrency;
TBFluxDesp.Next;
TxtValSaida.Text:=FormatCurr('R$###,##0.00',a);
end;
  If a=0 Then
    begin
      TxtValSaida.Text:=FormatCurr('R$###,##0.00',a);
    end;
b:=0;
TbFluxFat.First;
While not TbFluxFat.Eof do
begin
b:=b+TbFluxFatCAIXAFAT_VALOR.AsCurrency;
TbFluxFat.Next;
TxtValEntrada.Text:=FormatCurr('R$###,##0.00',b);
end;
  If b=0 Then
    begin
      TxtValEntrada.Text:=FormatCurr('R$###,##0.00',b);
  end;
Tot:=0;
Tot:=b-a;
TxtValTot.Text:=FormatCurr('R$###,##0.00',Tot);
end;

procedure TFrmFluxCaixa.SpeedButton2Click(Sender: TObject);
begin
DMSgc.TBCaixaDesp.Filtered:=False;
DMSgc.TBCaixaDesp.Filter:='';
DMSgc.TbCaixa.Filtered:=False;
DMSgc.TbCaixa.Filter:='';
DMSgc.TBCaixaDesp.Active:=False;
DMSgc.TbCaixa.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmFluxCaixa.Close;
end;

procedure TFrmFluxCaixa.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:= CaFree;
FrmFluxCaixa:= NIL;
end;

procedure TFrmFluxCaixa.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
DMSgc.TBCaixaDesp.Filtered:=False;
DMSgc.TBCaixaDesp.Filter:='';
DMSgc.TBCaixaDesp.Active:=False;
DMSgc.IBDatabaseSGC.Close;
end;

procedure TFrmFluxCaixa.DtInicialCloseUp(Sender: TObject);
begin
txtInicial.Text := DateToStr(dtInicial.Date);
end;

procedure TFrmFluxCaixa.DtFinalCloseUp(Sender: TObject);
begin
txtFinal.Text := DateToStr(dtFinal.Date);
end;

procedure TFrmFluxCaixa.FormShow(Sender: TObject);
begin
DtInicial.Date := Date;
DtFinal.Date :=Date;
TxtInicial.Text:=DateToStr(Date-1);
TxtFinal.Text:=DateToStr(Date);
end;

procedure TFrmFluxCaixa.SpeedButton3Click(Sender: TObject);
var
a,b,Tot: Currency;
begin
TxtInicial.Clear;
TxtFinal.Clear;
TBFluxDesp.Active:=True;
TbFluxFat.Active:=True;
TBFluxDesp.Filtered:=False;
TBFluxDesp.Filter:='';
TbFluxFat.Filtered:=False;
TbFluxFat.Filter:='';
ShortTimeFormat:='dd/mm/yyyy';
a:= 0;
TBFluxDesp.First;
while not TBFluxDesp.Eof do
begin
  a:=a+TBFluxDespDESP_VALOR.AsCurrency;
  TBFluxDesp.Next;
  TxtValSaida.Text:=FormatCurr('R$###,##0.00',a);
end;
b:=0;
TbFluxFat.First;
while not TbFluxFat.Eof do
begin
  b:=b+TbFluxFatCAIXAFAT_VALOR.AsCurrency;
  TbFluxFat.Next;
  TxtValEntrada.Text:=FormatCurr('R$###,##.0,00',b);
end;
Tot:=0;
Tot:=b-a;
TxtValTot.Text:=FormatCurr('R$###,##0.00',Tot);
end;

end.
