unit UntTaxJuros;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons, DB, Mask, DBCtrls, ComCtrls;

type
  TFrmTaxJuros = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Label1: TLabel;
    TxtJurDia: TDBEdit;
    DataSource1: TDataSource;
    Label2: TLabel;
    TxtJurMes: TDBEdit;
    Label3: TLabel;
    TxtJurAno: TDBEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    BdcAltJur: TBitBtn;
    BdcFechJur: TBitBtn;
    BdcFechJur1: TBitBtn;
    procedure BdcAltJurClick(Sender: TObject);
    procedure BdcFechJur1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure TxtJurMesExit(Sender: TObject);
    procedure BdcFechJurClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmTaxJuros: TFrmTaxJuros;

implementation

uses DM;

{$R *.dfm}

procedure TFrmTaxJuros.BdcAltJurClick(Sender: TObject);
begin
DMSgc.IBDatabaseSGC.Open;
DMSgc.TBJuros.Active:=True;
DMSgc.TBJuros.Edit;
TxtJurMes.SetFocus;
BdcFechJur.Visible:=True;
BdcFechJur1.Visible:=False;
BdcAltJur.Enabled:=False;
end;

procedure TFrmTaxJuros.BdcFechJur1Click(Sender: TObject);
begin
DMSgc.TBJuros.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmTaxJuros.Close;
end;

procedure TFrmTaxJuros.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
Action:= CaFree;
FrmTaxJuros:= NIL;
end;

procedure TFrmTaxJuros.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
DMSgc.TBJuros.Active:=False;
DMSgc.IBDatabaseSGC.Close;
end;

procedure TFrmTaxJuros.TxtJurMesExit(Sender: TObject);
begin
DMSgc.TBJurosJUROS_DIA.AsFloat:=DMSgc.TBJurosJUROS_MES.AsFloat / 30;
DMSgc.TBJurosJUROS_ANO.AsFloat:=DMSgc.TBJurosJUROS_MES.AsFloat * 12;
end;

procedure TFrmTaxJuros.BdcFechJurClick(Sender: TObject);
begin
DMSgc.TBJuros.Edit;
DMSgc.TBJuros.Post;
Application.MessageBox('Taja de juros alterada no sistema...','CF Informtica',MB_ICONINFORMATION);
DMSgc.TBJuros.Active:=False;
DMSgc.IBDatabaseSGC.Close;
FrmTaxJuros.Close;
end;

end.
